
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002160')]      |
| SIG_REGION                | [('0x80004010', '0x800048e0', '564 words')]      |
| COV_LABELS                | andi      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/andi-01.S/andi-01.S    |
| Total Number of coverpoints| 655     |
| Total Coverpoints Hit     | 655      |
| Total Signature Updates   | 562      |
| STAT1                     | 560      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800016f4]:andi a1, a0, 2
      [0x800016f8]:sw a1, 1448(sp)
 -- Signature Address: 0x80004604 Data: 0x00000000
 -- Redundant Coverpoints hit by the op
      - opcode : andi
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val == 0
      - rs1_val != imm_val
      - imm_val == 2
      - rs1_val==0 and imm_val==2




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002158]:andi a1, a0, 3839
      [0x8000215c]:sw a1, 120(sp)
 -- Signature Address: 0x800048d4 Data: 0xFFFF4AFC
 -- Redundant Coverpoints hit by the op
      - opcode : andi
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val != imm_val
      - rs1_val < 0 and imm_val < 0
      - imm_val == -257






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                              coverpoints                                                                                              |                                 code                                 |
|---:|--------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|
|   1|[0x80004010]<br>0xFFFFF800|- opcode : andi<br> - rs1 : x22<br> - rd : x10<br> - rs1 != rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -2048<br> - rs1_val == -2<br> |[0x80000104]:andi a0, s6, 2048<br> [0x80000108]:sw a0, 0(s2)<br>      |
|   2|[0x80004014]<br>0x00000000|- rs1 : x25<br> - rd : x25<br> - rs1 == rd<br> - imm_val == 0<br> - rs1_val == -4097<br>                                                                                                               |[0x80000114]:andi s9, s9, 0<br> [0x80000118]:sw s9, 4(s2)<br>         |
|   3|[0x80004018]<br>0x000007FF|- rs1 : x16<br> - rd : x17<br> - imm_val == (2**(12-1)-1)<br> - rs1_val < 0 and imm_val > 0<br> - imm_val == 2047<br> - rs1_val == -33554433<br>                                                       |[0x80000124]:andi a7, a6, 2047<br> [0x80000128]:sw a7, 8(s2)<br>      |
|   4|[0x8000401c]<br>0x00000001|- rs1 : x2<br> - rd : x8<br> - imm_val == 1<br> - rs1_val == -131073<br>                                                                                                                               |[0x80000134]:andi fp, sp, 1<br> [0x80000138]:sw fp, 12(s2)<br>        |
|   5|[0x80004020]<br>0x00000000|- rs1 : x28<br> - rd : x30<br> - rs1_val == (-2**(xlen-1))<br> - imm_val == 4<br> - rs1_val == -2147483648<br>                                                                                         |[0x80000140]:andi t5, t3, 4<br> [0x80000144]:sw t5, 16(s2)<br>        |
|   6|[0x80004024]<br>0x00000000|- rs1 : x4<br> - rd : x19<br> - rs1_val == 0<br>                                                                                                                                                       |[0x8000014c]:andi s3, tp, 2048<br> [0x80000150]:sw s3, 20(s2)<br>     |
|   7|[0x80004028]<br>0x00000006|- rs1 : x10<br> - rd : x2<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 2147483647<br>                                                                           |[0x8000015c]:andi sp, a0, 6<br> [0x80000160]:sw sp, 24(s2)<br>        |
|   8|[0x8000402c]<br>0x00000000|- rs1 : x7<br> - rd : x13<br> - rs1_val == 1<br>                                                                                                                                                       |[0x80000168]:andi a3, t2, 1364<br> [0x8000016c]:sw a3, 28(s2)<br>     |
|   9|[0x80004030]<br>0x00000080|- rs1 : x27<br> - rd : x9<br> - rs1_val == imm_val<br> - imm_val == 128<br> - rs1_val == 128<br>                                                                                                       |[0x80000174]:andi s1, s11, 128<br> [0x80000178]:sw s1, 32(s2)<br>     |
|  10|[0x80004034]<br>0x7FFFFFD4|- rs1 : x17<br> - rd : x3<br> - rs1_val > 0 and imm_val < 0<br>                                                                                                                                        |[0x80000184]:andi gp, a7, 4052<br> [0x80000188]:sw gp, 36(s2)<br>     |
|  11|[0x80004038]<br>0x00000000|- rs1 : x0<br> - rd : x26<br> - imm_val == 2<br> - rs1_val==0 and imm_val==2<br>                                                                                                                       |[0x80000190]:andi s10, zero, 2<br> [0x80000194]:sw s10, 40(s2)<br>    |
|  12|[0x8000403c]<br>0x00000000|- rs1 : x23<br> - rd : x21<br> - imm_val == 8<br>                                                                                                                                                      |[0x800001a0]:andi s5, s7, 8<br> [0x800001a4]:sw s5, 44(s2)<br>        |
|  13|[0x80004040]<br>0x00000000|- rs1 : x6<br> - rd : x14<br> - imm_val == 16<br>                                                                                                                                                      |[0x800001ac]:andi a4, t1, 16<br> [0x800001b0]:sw a4, 48(s2)<br>       |
|  14|[0x80004044]<br>0x00000000|- rs1 : x5<br> - rd : x22<br> - imm_val == 32<br> - rs1_val == 256<br>                                                                                                                                 |[0x800001b8]:andi s6, t0, 32<br> [0x800001bc]:sw s6, 52(s2)<br>       |
|  15|[0x80004048]<br>0x00000040|- rs1 : x8<br> - rd : x29<br> - imm_val == 64<br> - rs1_val == -5<br>                                                                                                                                  |[0x800001c4]:andi t4, fp, 64<br> [0x800001c8]:sw t4, 56(s2)<br>       |
|  16|[0x8000404c]<br>0x00000000|- rs1 : x12<br> - rd : x23<br> - imm_val == 256<br>                                                                                                                                                    |[0x800001d0]:andi s7, a2, 256<br> [0x800001d4]:sw s7, 60(s2)<br>      |
|  17|[0x80004050]<br>0x00000200|- rs1 : x15<br> - rd : x6<br> - imm_val == 512<br>                                                                                                                                                     |[0x800001e0]:andi t1, a5, 512<br> [0x800001e4]:sw t1, 64(s2)<br>      |
|  18|[0x80004054]<br>0x00000000|- rs1 : x29<br> - rd : x11<br> - imm_val == 1024<br>                                                                                                                                                   |[0x800001ec]:andi a1, t4, 1024<br> [0x800001f0]:sw a1, 68(s2)<br>     |
|  19|[0x80004058]<br>0x66666666|- rs1 : x20<br> - rd : x1<br> - imm_val == -2<br>                                                                                                                                                      |[0x800001fc]:andi ra, s4, 4094<br> [0x80000200]:sw ra, 72(s2)<br>     |
|  20|[0x8000405c]<br>0xFFEFFFFD|- rs1 : x31<br> - rd : x5<br> - imm_val == -3<br> - rs1_val == -1048577<br>                                                                                                                            |[0x80000214]:andi t0, t6, 4093<br> [0x80000218]:sw t0, 0(sp)<br>      |
|  21|[0x80004060]<br>0x00000200|- rs1 : x3<br> - rd : x20<br> - imm_val == -5<br> - rs1_val == 512<br>                                                                                                                                 |[0x80000220]:andi s4, gp, 4091<br> [0x80000224]:sw s4, 4(sp)<br>      |
|  22|[0x80004064]<br>0x00004000|- rs1 : x9<br> - rd : x7<br> - imm_val == -9<br> - rs1_val == 16384<br>                                                                                                                                |[0x8000022c]:andi t2, s1, 4087<br> [0x80000230]:sw t2, 8(sp)<br>      |
|  23|[0x80004068]<br>0x00200000|- rs1 : x13<br> - rd : x16<br> - imm_val == -17<br> - rs1_val == 2097152<br>                                                                                                                           |[0x80000238]:andi a6, a3, 4079<br> [0x8000023c]:sw a6, 12(sp)<br>     |
|  24|[0x8000406c]<br>0xFFFFFFDD|- rs1 : x18<br> - rd : x24<br> - imm_val == -33<br> - rs1_val == -3<br>                                                                                                                                |[0x80000244]:andi s8, s2, 4063<br> [0x80000248]:sw s8, 16(sp)<br>     |
|  25|[0x80004070]<br>0xFFFFFFBA|- rs1 : x26<br> - rd : x4<br> - imm_val == -65<br>                                                                                                                                                     |[0x80000250]:andi tp, s10, 4031<br> [0x80000254]:sw tp, 20(sp)<br>    |
|  26|[0x80004074]<br>0x00000040|- rs1 : x30<br> - rd : x28<br> - imm_val == -129<br> - rs1_val == 64<br>                                                                                                                               |[0x8000025c]:andi t3, t5, 3967<br> [0x80000260]:sw t3, 24(sp)<br>     |
|  27|[0x80004078]<br>0x00000000|- rs1 : x19<br> - rd : x0<br> - imm_val == -257<br>                                                                                                                                                    |[0x8000026c]:andi zero, s3, 3839<br> [0x80000270]:sw zero, 28(sp)<br> |
|  28|[0x8000407c]<br>0xFFFF7DFF|- rs1 : x21<br> - rd : x18<br> - imm_val == -513<br> - rs1_val == -32769<br>                                                                                                                           |[0x8000027c]:andi s2, s5, 3583<br> [0x80000280]:sw s2, 32(sp)<br>     |
|  29|[0x80004080]<br>0x00000040|- rs1 : x1<br> - rd : x12<br> - imm_val == -1025<br>                                                                                                                                                   |[0x80000288]:andi a2, ra, 3071<br> [0x8000028c]:sw a2, 36(sp)<br>     |
|  30|[0x80004084]<br>0x00000555|- rs1 : x24<br> - rd : x27<br> - imm_val == 1365<br> - rs1_val == -16385<br>                                                                                                                           |[0x80000298]:andi s11, s8, 1365<br> [0x8000029c]:sw s11, 40(sp)<br>   |
|  31|[0x80004088]<br>0x40000000|- rs1 : x11<br> - rd : x31<br> - imm_val == -1366<br> - rs1_val == 1073741824<br>                                                                                                                      |[0x800002a4]:andi t6, a1, 2730<br> [0x800002a8]:sw t6, 44(sp)<br>     |
|  32|[0x8000408c]<br>0x00000000|- rs1 : x14<br> - rd : x15<br> - rs1_val == 2<br>                                                                                                                                                      |[0x800002b0]:andi a5, a4, 8<br> [0x800002b4]:sw a5, 48(sp)<br>        |
|  33|[0x80004090]<br>0x00000004|- rs1_val == 4<br> - rs1_val==4 and imm_val==1639<br>                                                                                                                                                  |[0x800002bc]:andi a1, a0, 1639<br> [0x800002c0]:sw a1, 52(sp)<br>     |
|  34|[0x80004094]<br>0x00000000|- rs1_val == 8<br>                                                                                                                                                                                     |[0x800002c8]:andi a1, a0, 820<br> [0x800002cc]:sw a1, 56(sp)<br>      |
|  35|[0x80004098]<br>0x00000000|- rs1_val == 16<br>                                                                                                                                                                                    |[0x800002d4]:andi a1, a0, 46<br> [0x800002d8]:sw a1, 60(sp)<br>       |
|  36|[0x8000409c]<br>0x00000000|- rs1_val == 32<br>                                                                                                                                                                                    |[0x800002e0]:andi a1, a0, 16<br> [0x800002e4]:sw a1, 64(sp)<br>       |
|  37|[0x800040a0]<br>0x00000400|- rs1_val == 1024<br>                                                                                                                                                                                  |[0x800002ec]:andi a1, a0, 4052<br> [0x800002f0]:sw a1, 68(sp)<br>     |
|  38|[0x800040a4]<br>0x00000800|- rs1_val == 2048<br>                                                                                                                                                                                  |[0x800002fc]:andi a1, a0, 4031<br> [0x80000300]:sw a1, 72(sp)<br>     |
|  39|[0x800040a8]<br>0x00000000|- rs1_val == 4096<br>                                                                                                                                                                                  |[0x80000308]:andi a1, a0, 64<br> [0x8000030c]:sw a1, 76(sp)<br>       |
|  40|[0x800040ac]<br>0x00002000|- rs1_val == 8192<br>                                                                                                                                                                                  |[0x80000314]:andi a1, a0, 4051<br> [0x80000318]:sw a1, 80(sp)<br>     |
|  41|[0x800040b0]<br>0x00008000|- rs1_val == 32768<br>                                                                                                                                                                                 |[0x80000320]:andi a1, a0, 2730<br> [0x80000324]:sw a1, 84(sp)<br>     |
|  42|[0x800040b4]<br>0x00000000|- rs1_val == 65536<br>                                                                                                                                                                                 |[0x8000032c]:andi a1, a0, 819<br> [0x80000330]:sw a1, 88(sp)<br>      |
|  43|[0x800040b8]<br>0x00000000|- rs1_val == 131072<br>                                                                                                                                                                                |[0x80000338]:andi a1, a0, 818<br> [0x8000033c]:sw a1, 92(sp)<br>      |
|  44|[0x800040bc]<br>0x00000000|- rs1_val == 262144<br>                                                                                                                                                                                |[0x80000344]:andi a1, a0, 1366<br> [0x80000348]:sw a1, 96(sp)<br>     |
|  45|[0x800040c0]<br>0x00000000|- rs1_val == 524288<br>                                                                                                                                                                                |[0x80000350]:andi a1, a0, 4<br> [0x80000354]:sw a1, 100(sp)<br>       |
|  46|[0x800040c4]<br>0x00000000|- rs1_val == 1048576<br>                                                                                                                                                                               |[0x8000035c]:andi a1, a0, 5<br> [0x80000360]:sw a1, 104(sp)<br>       |
|  47|[0x800040c8]<br>0x00400000|- rs1_val == 4194304<br>                                                                                                                                                                               |[0x80000368]:andi a1, a0, 4095<br> [0x8000036c]:sw a1, 108(sp)<br>    |
|  48|[0x800040cc]<br>0x00800000|- rs1_val == 8388608<br>                                                                                                                                                                               |[0x80000374]:andi a1, a0, 4090<br> [0x80000378]:sw a1, 112(sp)<br>    |
|  49|[0x800040d0]<br>0x02000000|- rs1_val == 33554432<br>                                                                                                                                                                              |[0x80000380]:andi a1, a0, 4052<br> [0x80000384]:sw a1, 116(sp)<br>    |
|  50|[0x800040d4]<br>0x04000000|- rs1_val == 67108864<br>                                                                                                                                                                              |[0x8000038c]:andi a1, a0, 3967<br> [0x80000390]:sw a1, 120(sp)<br>    |
|  51|[0x800040d8]<br>0x00000000|- rs1_val == 134217728<br>                                                                                                                                                                             |[0x80000398]:andi a1, a0, 0<br> [0x8000039c]:sw a1, 124(sp)<br>       |
|  52|[0x800040dc]<br>0x00000000|- rs1_val == 268435456<br>                                                                                                                                                                             |[0x800003a4]:andi a1, a0, 0<br> [0x800003a8]:sw a1, 128(sp)<br>       |
|  53|[0x800040e0]<br>0x00000000|- rs1_val == 536870912<br>                                                                                                                                                                             |[0x800003b0]:andi a1, a0, 4<br> [0x800003b4]:sw a1, 132(sp)<br>       |
|  54|[0x800040e4]<br>0xFFFFFFF5|- rs1_val == -9<br>                                                                                                                                                                                    |[0x800003bc]:andi a1, a0, 4093<br> [0x800003c0]:sw a1, 136(sp)<br>    |
|  55|[0x800040e8]<br>0x00000546|- rs1_val == -17<br>                                                                                                                                                                                   |[0x800003c8]:andi a1, a0, 1366<br> [0x800003cc]:sw a1, 140(sp)<br>    |
|  56|[0x800040ec]<br>0x00000004|- rs1_val == -33<br>                                                                                                                                                                                   |[0x800003d4]:andi a1, a0, 4<br> [0x800003d8]:sw a1, 144(sp)<br>       |
|  57|[0x800040f0]<br>0x00000009|- rs1_val == -65<br>                                                                                                                                                                                   |[0x800003e0]:andi a1, a0, 9<br> [0x800003e4]:sw a1, 148(sp)<br>       |
|  58|[0x800040f4]<br>0xFFFFFF7D|- rs1_val == -129<br>                                                                                                                                                                                  |[0x800003ec]:andi a1, a0, 4093<br> [0x800003f0]:sw a1, 152(sp)<br>    |
|  59|[0x800040f8]<br>0x00000234|- rs1_val == -257<br>                                                                                                                                                                                  |[0x800003f8]:andi a1, a0, 820<br> [0x800003fc]:sw a1, 156(sp)<br>     |
|  60|[0x800040fc]<br>0x00000000|- rs1_val == -513<br>                                                                                                                                                                                  |[0x80000404]:andi a1, a0, 0<br> [0x80000408]:sw a1, 160(sp)<br>       |
|  61|[0x80004100]<br>0x00000040|- rs1_val == -1025<br>                                                                                                                                                                                 |[0x80000410]:andi a1, a0, 64<br> [0x80000414]:sw a1, 164(sp)<br>      |
|  62|[0x80004104]<br>0x00000009|- rs1_val == -2049<br>                                                                                                                                                                                 |[0x80000420]:andi a1, a0, 9<br> [0x80000424]:sw a1, 168(sp)<br>       |
|  63|[0x80004108]<br>0x00000667|- rs1_val == -8193<br>                                                                                                                                                                                 |[0x80000430]:andi a1, a0, 1639<br> [0x80000434]:sw a1, 172(sp)<br>    |
|  64|[0x8000410c]<br>0x000007FF|- rs1_val == -65537<br>                                                                                                                                                                                |[0x80000440]:andi a1, a0, 2047<br> [0x80000444]:sw a1, 176(sp)<br>    |
|  65|[0x80004110]<br>0xFFFBFFD3|- rs1_val == -262145<br>                                                                                                                                                                               |[0x80000450]:andi a1, a0, 4051<br> [0x80000454]:sw a1, 180(sp)<br>    |
|  66|[0x80004114]<br>0x00000200|- rs1_val == -524289<br>                                                                                                                                                                               |[0x80000460]:andi a1, a0, 512<br> [0x80000464]:sw a1, 184(sp)<br>     |
|  67|[0x80004118]<br>0xFFDFFFD4|- rs1_val == -2097153<br>                                                                                                                                                                              |[0x80000470]:andi a1, a0, 4052<br> [0x80000474]:sw a1, 188(sp)<br>    |
|  68|[0x8000411c]<br>0x00000005|- rs1_val == -4194305<br>                                                                                                                                                                              |[0x80000480]:andi a1, a0, 5<br> [0x80000484]:sw a1, 192(sp)<br>       |
|  69|[0x80004120]<br>0x00000007|- rs1_val == -8388609<br>                                                                                                                                                                              |[0x80000490]:andi a1, a0, 7<br> [0x80000494]:sw a1, 196(sp)<br>       |
|  70|[0x80004124]<br>0x00000006|- rs1_val == -16777217<br>                                                                                                                                                                             |[0x800004a0]:andi a1, a0, 6<br> [0x800004a4]:sw a1, 200(sp)<br>       |
|  71|[0x80004128]<br>0x00000008|- rs1_val == -67108865<br>                                                                                                                                                                             |[0x800004b0]:andi a1, a0, 8<br> [0x800004b4]:sw a1, 204(sp)<br>       |
|  72|[0x8000412c]<br>0x0000002E|- rs1_val == -134217729<br>                                                                                                                                                                            |[0x800004c0]:andi a1, a0, 46<br> [0x800004c4]:sw a1, 208(sp)<br>      |
|  73|[0x80004130]<br>0x00000001|- rs1_val == -268435457<br>                                                                                                                                                                            |[0x800004d0]:andi a1, a0, 1<br> [0x800004d4]:sw a1, 212(sp)<br>       |
|  74|[0x80004134]<br>0xDFFFFFD4|- rs1_val == -536870913<br>                                                                                                                                                                            |[0x800004e0]:andi a1, a0, 4052<br> [0x800004e4]:sw a1, 216(sp)<br>    |
|  75|[0x80004138]<br>0x00000556|- rs1_val == -1073741825<br>                                                                                                                                                                           |[0x800004f0]:andi a1, a0, 1366<br> [0x800004f4]:sw a1, 220(sp)<br>    |
|  76|[0x8000413c]<br>0x55555551|- rs1_val == 1431655765<br>                                                                                                                                                                            |[0x80000500]:andi a1, a0, 4091<br> [0x80000504]:sw a1, 224(sp)<br>    |
|  77|[0x80004140]<br>0x00000080|- rs1_val == -1431655766<br>                                                                                                                                                                           |[0x80000510]:andi a1, a0, 128<br> [0x80000514]:sw a1, 228(sp)<br>     |
|  78|[0x80004144]<br>0x00000003|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                        |[0x8000051c]:andi a1, a0, 3<br> [0x80000520]:sw a1, 232(sp)<br>       |
|  79|[0x80004148]<br>0x00000001|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                     |[0x80000528]:andi a1, a0, 1365<br> [0x8000052c]:sw a1, 236(sp)<br>    |
|  80|[0x8000414c]<br>0x00000002|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                    |[0x80000534]:andi a1, a0, 2730<br> [0x80000538]:sw a1, 240(sp)<br>    |
|  81|[0x80004150]<br>0x00000001|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                        |[0x80000540]:andi a1, a0, 5<br> [0x80000544]:sw a1, 244(sp)<br>       |
|  82|[0x80004154]<br>0x00000003|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                      |[0x8000054c]:andi a1, a0, 819<br> [0x80000550]:sw a1, 248(sp)<br>     |
|  83|[0x80004158]<br>0x00000002|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                     |[0x80000558]:andi a1, a0, 1638<br> [0x8000055c]:sw a1, 252(sp)<br>    |
|  84|[0x8000415c]<br>0x00000003|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                      |[0x80000564]:andi a1, a0, 4051<br> [0x80000568]:sw a1, 256(sp)<br>    |
|  85|[0x80004160]<br>0x00000001|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                       |[0x80000570]:andi a1, a0, 45<br> [0x80000574]:sw a1, 260(sp)<br>      |
|  86|[0x80004164]<br>0x00000002|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                        |[0x8000057c]:andi a1, a0, 2<br> [0x80000580]:sw a1, 264(sp)<br>       |
|  87|[0x80004168]<br>0x00000000|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                     |[0x80000588]:andi a1, a0, 1364<br> [0x8000058c]:sw a1, 268(sp)<br>    |
|  88|[0x8000416c]<br>0x00000000|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                        |[0x80000594]:andi a1, a0, 0<br> [0x80000598]:sw a1, 272(sp)<br>       |
|  89|[0x80004170]<br>0x00000000|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                        |[0x800005a0]:andi a1, a0, 4<br> [0x800005a4]:sw a1, 276(sp)<br>       |
|  90|[0x80004174]<br>0x00000002|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                      |[0x800005ac]:andi a1, a0, 818<br> [0x800005b0]:sw a1, 280(sp)<br>     |
|  91|[0x80004178]<br>0x00000001|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                     |[0x800005b8]:andi a1, a0, 1637<br> [0x800005bc]:sw a1, 284(sp)<br>    |
|  92|[0x8000417c]<br>0x00000000|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                       |[0x800005c4]:andi a1, a0, 44<br> [0x800005c8]:sw a1, 288(sp)<br>      |
|  93|[0x80004180]<br>0x00000002|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                     |[0x800005d0]:andi a1, a0, 1366<br> [0x800005d4]:sw a1, 292(sp)<br>    |
|  94|[0x80004184]<br>0x00000003|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                    |[0x800005dc]:andi a1, a0, 2731<br> [0x800005e0]:sw a1, 296(sp)<br>    |
|  95|[0x80004188]<br>0x00000002|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                        |[0x800005e8]:andi a1, a0, 6<br> [0x800005ec]:sw a1, 300(sp)<br>       |
|  96|[0x8000418c]<br>0x00000000|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                      |[0x800005f4]:andi a1, a0, 820<br> [0x800005f8]:sw a1, 304(sp)<br>     |
|  97|[0x80004190]<br>0x00000003|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                     |[0x80000600]:andi a1, a0, 1639<br> [0x80000604]:sw a1, 308(sp)<br>    |
|  98|[0x80004194]<br>0x00000000|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                      |[0x8000060c]:andi a1, a0, 4052<br> [0x80000610]:sw a1, 312(sp)<br>    |
|  99|[0x80004198]<br>0x00000002|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                       |[0x80000618]:andi a1, a0, 46<br> [0x8000061c]:sw a1, 316(sp)<br>      |
| 100|[0x8000419c]<br>0x00000001|- rs1_val==1431655765 and imm_val==3<br>                                                                                                                                                               |[0x80000628]:andi a1, a0, 3<br> [0x8000062c]:sw a1, 320(sp)<br>       |
| 101|[0x800041a0]<br>0x00000555|- rs1_val==1431655765 and imm_val==1365<br>                                                                                                                                                            |[0x80000638]:andi a1, a0, 1365<br> [0x8000063c]:sw a1, 324(sp)<br>    |
| 102|[0x800041a4]<br>0x55555000|- rs1_val==1431655765 and imm_val==-1366<br>                                                                                                                                                           |[0x80000648]:andi a1, a0, 2730<br> [0x8000064c]:sw a1, 328(sp)<br>    |
| 103|[0x800041a8]<br>0x00000005|- rs1_val==1431655765 and imm_val==5<br>                                                                                                                                                               |[0x80000658]:andi a1, a0, 5<br> [0x8000065c]:sw a1, 332(sp)<br>       |
| 104|[0x800041ac]<br>0x00000111|- rs1_val==1431655765 and imm_val==819<br>                                                                                                                                                             |[0x80000668]:andi a1, a0, 819<br> [0x8000066c]:sw a1, 336(sp)<br>     |
| 105|[0x800041b0]<br>0x00000444|- rs1_val==1431655765 and imm_val==1638<br>                                                                                                                                                            |[0x80000678]:andi a1, a0, 1638<br> [0x8000067c]:sw a1, 340(sp)<br>    |
| 106|[0x800041b4]<br>0x55555551|- rs1_val==1431655765 and imm_val==-45<br>                                                                                                                                                             |[0x80000688]:andi a1, a0, 4051<br> [0x8000068c]:sw a1, 344(sp)<br>    |
| 107|[0x800041b8]<br>0x00000005|- rs1_val==1431655765 and imm_val==45<br>                                                                                                                                                              |[0x80000698]:andi a1, a0, 45<br> [0x8000069c]:sw a1, 348(sp)<br>      |
| 108|[0x800041bc]<br>0x00000000|- rs1_val==1431655765 and imm_val==2<br>                                                                                                                                                               |[0x800006a8]:andi a1, a0, 2<br> [0x800006ac]:sw a1, 352(sp)<br>       |
| 109|[0x800041c0]<br>0x00000554|- rs1_val==1431655765 and imm_val==1364<br>                                                                                                                                                            |[0x800006b8]:andi a1, a0, 1364<br> [0x800006bc]:sw a1, 356(sp)<br>    |
| 110|[0x800041c4]<br>0x00000000|- rs1_val==1431655765 and imm_val==0<br>                                                                                                                                                               |[0x800006c8]:andi a1, a0, 0<br> [0x800006cc]:sw a1, 360(sp)<br>       |
| 111|[0x800041c8]<br>0x00000004|- rs1_val==1431655765 and imm_val==4<br>                                                                                                                                                               |[0x800006d8]:andi a1, a0, 4<br> [0x800006dc]:sw a1, 364(sp)<br>       |
| 112|[0x800041cc]<br>0x00000110|- rs1_val==1431655765 and imm_val==818<br>                                                                                                                                                             |[0x800006e8]:andi a1, a0, 818<br> [0x800006ec]:sw a1, 368(sp)<br>     |
| 113|[0x800041d0]<br>0x00000445|- rs1_val==1431655765 and imm_val==1637<br>                                                                                                                                                            |[0x800006f8]:andi a1, a0, 1637<br> [0x800006fc]:sw a1, 372(sp)<br>    |
| 114|[0x800041d4]<br>0x00000004|- rs1_val==1431655765 and imm_val==44<br>                                                                                                                                                              |[0x80000708]:andi a1, a0, 44<br> [0x8000070c]:sw a1, 376(sp)<br>      |
| 115|[0x800041d8]<br>0x00000554|- rs1_val==1431655765 and imm_val==1366<br>                                                                                                                                                            |[0x80000718]:andi a1, a0, 1366<br> [0x8000071c]:sw a1, 380(sp)<br>    |
| 116|[0x800041dc]<br>0x55555001|- rs1_val==1431655765 and imm_val==-1365<br>                                                                                                                                                           |[0x80000728]:andi a1, a0, 2731<br> [0x8000072c]:sw a1, 384(sp)<br>    |
| 117|[0x800041e0]<br>0x00000004|- rs1_val==1431655765 and imm_val==6<br>                                                                                                                                                               |[0x80000738]:andi a1, a0, 6<br> [0x8000073c]:sw a1, 388(sp)<br>       |
| 118|[0x800041e4]<br>0x00000114|- rs1_val==1431655765 and imm_val==820<br>                                                                                                                                                             |[0x80000748]:andi a1, a0, 820<br> [0x8000074c]:sw a1, 392(sp)<br>     |
| 119|[0x800041e8]<br>0x00000445|- rs1_val==1431655765 and imm_val==1639<br>                                                                                                                                                            |[0x80000758]:andi a1, a0, 1639<br> [0x8000075c]:sw a1, 396(sp)<br>    |
| 120|[0x800041ec]<br>0x55555554|- rs1_val==1431655765 and imm_val==-44<br>                                                                                                                                                             |[0x80000768]:andi a1, a0, 4052<br> [0x8000076c]:sw a1, 400(sp)<br>    |
| 121|[0x800041f0]<br>0x00000004|- rs1_val==1431655765 and imm_val==46<br>                                                                                                                                                              |[0x80000778]:andi a1, a0, 46<br> [0x8000077c]:sw a1, 404(sp)<br>      |
| 122|[0x800041f4]<br>0x00000002|- rs1_val==-1431655766 and imm_val==3<br>                                                                                                                                                              |[0x80000788]:andi a1, a0, 3<br> [0x8000078c]:sw a1, 408(sp)<br>       |
| 123|[0x800041f8]<br>0x00000000|- rs1_val==-1431655766 and imm_val==1365<br>                                                                                                                                                           |[0x80000798]:andi a1, a0, 1365<br> [0x8000079c]:sw a1, 412(sp)<br>    |
| 124|[0x800041fc]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==-1366<br>                                                                                                                                                          |[0x800007a8]:andi a1, a0, 2730<br> [0x800007ac]:sw a1, 416(sp)<br>    |
| 125|[0x80004200]<br>0x00000000|- rs1_val==-1431655766 and imm_val==5<br>                                                                                                                                                              |[0x800007b8]:andi a1, a0, 5<br> [0x800007bc]:sw a1, 420(sp)<br>       |
| 126|[0x80004204]<br>0x00000222|- rs1_val==-1431655766 and imm_val==819<br>                                                                                                                                                            |[0x800007c8]:andi a1, a0, 819<br> [0x800007cc]:sw a1, 424(sp)<br>     |
| 127|[0x80004208]<br>0x00000222|- rs1_val==-1431655766 and imm_val==1638<br>                                                                                                                                                           |[0x800007d8]:andi a1, a0, 1638<br> [0x800007dc]:sw a1, 428(sp)<br>    |
| 128|[0x8000420c]<br>0xAAAAAA82|- rs1_val==-1431655766 and imm_val==-45<br>                                                                                                                                                            |[0x800007e8]:andi a1, a0, 4051<br> [0x800007ec]:sw a1, 432(sp)<br>    |
| 129|[0x80004210]<br>0x00000028|- rs1_val==-1431655766 and imm_val==45<br>                                                                                                                                                             |[0x800007f8]:andi a1, a0, 45<br> [0x800007fc]:sw a1, 436(sp)<br>      |
| 130|[0x80004214]<br>0x00000002|- rs1_val==-1431655766 and imm_val==2<br>                                                                                                                                                              |[0x80000808]:andi a1, a0, 2<br> [0x8000080c]:sw a1, 440(sp)<br>       |
| 131|[0x80004218]<br>0x00000000|- rs1_val==-1431655766 and imm_val==1364<br>                                                                                                                                                           |[0x80000818]:andi a1, a0, 1364<br> [0x8000081c]:sw a1, 444(sp)<br>    |
| 132|[0x8000421c]<br>0x00000000|- rs1_val==-1431655766 and imm_val==0<br>                                                                                                                                                              |[0x80000828]:andi a1, a0, 0<br> [0x8000082c]:sw a1, 448(sp)<br>       |
| 133|[0x80004220]<br>0x00000000|- rs1_val==-1431655766 and imm_val==4<br>                                                                                                                                                              |[0x80000838]:andi a1, a0, 4<br> [0x8000083c]:sw a1, 452(sp)<br>       |
| 134|[0x80004224]<br>0x00000222|- rs1_val==-1431655766 and imm_val==818<br>                                                                                                                                                            |[0x80000848]:andi a1, a0, 818<br> [0x8000084c]:sw a1, 456(sp)<br>     |
| 135|[0x80004228]<br>0x00000220|- rs1_val==-1431655766 and imm_val==1637<br>                                                                                                                                                           |[0x80000858]:andi a1, a0, 1637<br> [0x8000085c]:sw a1, 460(sp)<br>    |
| 136|[0x8000422c]<br>0x00000028|- rs1_val==-1431655766 and imm_val==44<br>                                                                                                                                                             |[0x80000868]:andi a1, a0, 44<br> [0x8000086c]:sw a1, 464(sp)<br>      |
| 137|[0x80004230]<br>0x00000002|- rs1_val==-1431655766 and imm_val==1366<br>                                                                                                                                                           |[0x80000878]:andi a1, a0, 1366<br> [0x8000087c]:sw a1, 468(sp)<br>    |
| 138|[0x80004234]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==-1365<br>                                                                                                                                                          |[0x80000888]:andi a1, a0, 2731<br> [0x8000088c]:sw a1, 472(sp)<br>    |
| 139|[0x80004238]<br>0x00000002|- rs1_val==-1431655766 and imm_val==6<br>                                                                                                                                                              |[0x80000898]:andi a1, a0, 6<br> [0x8000089c]:sw a1, 476(sp)<br>       |
| 140|[0x8000423c]<br>0x00000220|- rs1_val==-1431655766 and imm_val==820<br>                                                                                                                                                            |[0x800008a8]:andi a1, a0, 820<br> [0x800008ac]:sw a1, 480(sp)<br>     |
| 141|[0x80004240]<br>0x00000222|- rs1_val==-1431655766 and imm_val==1639<br>                                                                                                                                                           |[0x800008b8]:andi a1, a0, 1639<br> [0x800008bc]:sw a1, 484(sp)<br>    |
| 142|[0x80004244]<br>0xAAAAAA80|- rs1_val==-1431655766 and imm_val==-44<br>                                                                                                                                                            |[0x800008c8]:andi a1, a0, 4052<br> [0x800008cc]:sw a1, 488(sp)<br>    |
| 143|[0x80004248]<br>0x0000002A|- rs1_val==-1431655766 and imm_val==46<br>                                                                                                                                                             |[0x800008d8]:andi a1, a0, 46<br> [0x800008dc]:sw a1, 492(sp)<br>      |
| 144|[0x8000424c]<br>0x00000001|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                        |[0x800008e4]:andi a1, a0, 3<br> [0x800008e8]:sw a1, 496(sp)<br>       |
| 145|[0x80004250]<br>0x00000005|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                     |[0x800008f0]:andi a1, a0, 1365<br> [0x800008f4]:sw a1, 500(sp)<br>    |
| 146|[0x80004254]<br>0x00000000|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                    |[0x800008fc]:andi a1, a0, 2730<br> [0x80000900]:sw a1, 504(sp)<br>    |
| 147|[0x80004258]<br>0x00000005|- rs1_val==5 and imm_val==5<br>                                                                                                                                                                        |[0x80000908]:andi a1, a0, 5<br> [0x8000090c]:sw a1, 508(sp)<br>       |
| 148|[0x8000425c]<br>0x00000001|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                      |[0x80000914]:andi a1, a0, 819<br> [0x80000918]:sw a1, 512(sp)<br>     |
| 149|[0x80004260]<br>0x00000004|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                     |[0x80000920]:andi a1, a0, 1638<br> [0x80000924]:sw a1, 516(sp)<br>    |
| 150|[0x80004264]<br>0x00000001|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                      |[0x8000092c]:andi a1, a0, 4051<br> [0x80000930]:sw a1, 520(sp)<br>    |
| 151|[0x80004268]<br>0x00000005|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                       |[0x80000938]:andi a1, a0, 45<br> [0x8000093c]:sw a1, 524(sp)<br>      |
| 152|[0x8000426c]<br>0x00000000|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                        |[0x80000944]:andi a1, a0, 2<br> [0x80000948]:sw a1, 528(sp)<br>       |
| 153|[0x80004270]<br>0x00000004|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                     |[0x80000950]:andi a1, a0, 1364<br> [0x80000954]:sw a1, 532(sp)<br>    |
| 154|[0x80004274]<br>0x00000000|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                        |[0x8000095c]:andi a1, a0, 0<br> [0x80000960]:sw a1, 536(sp)<br>       |
| 155|[0x80004278]<br>0x00000004|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                        |[0x80000968]:andi a1, a0, 4<br> [0x8000096c]:sw a1, 540(sp)<br>       |
| 156|[0x8000427c]<br>0x00000000|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                      |[0x80000974]:andi a1, a0, 818<br> [0x80000978]:sw a1, 544(sp)<br>     |
| 157|[0x80004280]<br>0x00000005|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                     |[0x80000980]:andi a1, a0, 1637<br> [0x80000984]:sw a1, 548(sp)<br>    |
| 158|[0x80004284]<br>0x00000004|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                       |[0x8000098c]:andi a1, a0, 44<br> [0x80000990]:sw a1, 552(sp)<br>      |
| 159|[0x80004288]<br>0x00000004|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                     |[0x80000998]:andi a1, a0, 1366<br> [0x8000099c]:sw a1, 556(sp)<br>    |
| 160|[0x8000428c]<br>0x00000001|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                    |[0x800009a4]:andi a1, a0, 2731<br> [0x800009a8]:sw a1, 560(sp)<br>    |
| 161|[0x80004290]<br>0x00000004|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                        |[0x800009b0]:andi a1, a0, 6<br> [0x800009b4]:sw a1, 564(sp)<br>       |
| 162|[0x80004294]<br>0x00000004|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                      |[0x800009bc]:andi a1, a0, 820<br> [0x800009c0]:sw a1, 568(sp)<br>     |
| 163|[0x80004298]<br>0x00000005|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                     |[0x800009c8]:andi a1, a0, 1639<br> [0x800009cc]:sw a1, 572(sp)<br>    |
| 164|[0x8000429c]<br>0x00000004|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                      |[0x800009d4]:andi a1, a0, 4052<br> [0x800009d8]:sw a1, 576(sp)<br>    |
| 165|[0x800042a0]<br>0x00000004|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                       |[0x800009e0]:andi a1, a0, 46<br> [0x800009e4]:sw a1, 580(sp)<br>      |
| 166|[0x800042a4]<br>0x00000003|- rs1_val==858993459 and imm_val==3<br>                                                                                                                                                                |[0x800009f0]:andi a1, a0, 3<br> [0x800009f4]:sw a1, 584(sp)<br>       |
| 167|[0x800042a8]<br>0x00000111|- rs1_val==858993459 and imm_val==1365<br>                                                                                                                                                             |[0x80000a00]:andi a1, a0, 1365<br> [0x80000a04]:sw a1, 588(sp)<br>    |
| 168|[0x800042ac]<br>0x33333222|- rs1_val==858993459 and imm_val==-1366<br>                                                                                                                                                            |[0x80000a10]:andi a1, a0, 2730<br> [0x80000a14]:sw a1, 592(sp)<br>    |
| 169|[0x800042b0]<br>0x00000001|- rs1_val==858993459 and imm_val==5<br>                                                                                                                                                                |[0x80000a20]:andi a1, a0, 5<br> [0x80000a24]:sw a1, 596(sp)<br>       |
| 170|[0x800042b4]<br>0x00000333|- rs1_val==858993459 and imm_val==819<br>                                                                                                                                                              |[0x80000a30]:andi a1, a0, 819<br> [0x80000a34]:sw a1, 600(sp)<br>     |
| 171|[0x800042b8]<br>0x00000222|- rs1_val==858993459 and imm_val==1638<br>                                                                                                                                                             |[0x80000a40]:andi a1, a0, 1638<br> [0x80000a44]:sw a1, 604(sp)<br>    |
| 172|[0x800042bc]<br>0x33333313|- rs1_val==858993459 and imm_val==-45<br>                                                                                                                                                              |[0x80000a50]:andi a1, a0, 4051<br> [0x80000a54]:sw a1, 608(sp)<br>    |
| 173|[0x800042c0]<br>0x00000021|- rs1_val==858993459 and imm_val==45<br>                                                                                                                                                               |[0x80000a60]:andi a1, a0, 45<br> [0x80000a64]:sw a1, 612(sp)<br>      |
| 174|[0x800042c4]<br>0x00000002|- rs1_val==858993459 and imm_val==2<br>                                                                                                                                                                |[0x80000a70]:andi a1, a0, 2<br> [0x80000a74]:sw a1, 616(sp)<br>       |
| 175|[0x800042c8]<br>0x00000110|- rs1_val==858993459 and imm_val==1364<br>                                                                                                                                                             |[0x80000a80]:andi a1, a0, 1364<br> [0x80000a84]:sw a1, 620(sp)<br>    |
| 176|[0x800042cc]<br>0x00000000|- rs1_val==858993459 and imm_val==0<br>                                                                                                                                                                |[0x80000a90]:andi a1, a0, 0<br> [0x80000a94]:sw a1, 624(sp)<br>       |
| 177|[0x800042d0]<br>0x00000000|- rs1_val==858993459 and imm_val==4<br>                                                                                                                                                                |[0x80000aa0]:andi a1, a0, 4<br> [0x80000aa4]:sw a1, 628(sp)<br>       |
| 178|[0x800042d4]<br>0x00000332|- rs1_val==858993459 and imm_val==818<br>                                                                                                                                                              |[0x80000ab0]:andi a1, a0, 818<br> [0x80000ab4]:sw a1, 632(sp)<br>     |
| 179|[0x800042d8]<br>0x00000221|- rs1_val==858993459 and imm_val==1637<br>                                                                                                                                                             |[0x80000ac0]:andi a1, a0, 1637<br> [0x80000ac4]:sw a1, 636(sp)<br>    |
| 180|[0x800042dc]<br>0x00000020|- rs1_val==858993459 and imm_val==44<br>                                                                                                                                                               |[0x80000ad0]:andi a1, a0, 44<br> [0x80000ad4]:sw a1, 640(sp)<br>      |
| 181|[0x800042e0]<br>0x00000112|- rs1_val==858993459 and imm_val==1366<br>                                                                                                                                                             |[0x80000ae0]:andi a1, a0, 1366<br> [0x80000ae4]:sw a1, 644(sp)<br>    |
| 182|[0x800042e4]<br>0x33333223|- rs1_val==858993459 and imm_val==-1365<br>                                                                                                                                                            |[0x80000af0]:andi a1, a0, 2731<br> [0x80000af4]:sw a1, 648(sp)<br>    |
| 183|[0x800042e8]<br>0x00000002|- rs1_val==858993459 and imm_val==6<br>                                                                                                                                                                |[0x80000b00]:andi a1, a0, 6<br> [0x80000b04]:sw a1, 652(sp)<br>       |
| 184|[0x800042ec]<br>0x00000330|- rs1_val==858993459 and imm_val==820<br>                                                                                                                                                              |[0x80000b10]:andi a1, a0, 820<br> [0x80000b14]:sw a1, 656(sp)<br>     |
| 185|[0x800042f0]<br>0x00000223|- rs1_val==858993459 and imm_val==1639<br>                                                                                                                                                             |[0x80000b20]:andi a1, a0, 1639<br> [0x80000b24]:sw a1, 660(sp)<br>    |
| 186|[0x800042f4]<br>0x33333310|- rs1_val==858993459 and imm_val==-44<br>                                                                                                                                                              |[0x80000b30]:andi a1, a0, 4052<br> [0x80000b34]:sw a1, 664(sp)<br>    |
| 187|[0x800042f8]<br>0x00000022|- rs1_val==858993459 and imm_val==46<br>                                                                                                                                                               |[0x80000b40]:andi a1, a0, 46<br> [0x80000b44]:sw a1, 668(sp)<br>      |
| 188|[0x800042fc]<br>0x00000002|- rs1_val==1717986918 and imm_val==3<br>                                                                                                                                                               |[0x80000b50]:andi a1, a0, 3<br> [0x80000b54]:sw a1, 672(sp)<br>       |
| 189|[0x80004300]<br>0x00000444|- rs1_val==1717986918 and imm_val==1365<br>                                                                                                                                                            |[0x80000b60]:andi a1, a0, 1365<br> [0x80000b64]:sw a1, 676(sp)<br>    |
| 190|[0x80004304]<br>0x66666222|- rs1_val==1717986918 and imm_val==-1366<br>                                                                                                                                                           |[0x80000b70]:andi a1, a0, 2730<br> [0x80000b74]:sw a1, 680(sp)<br>    |
| 191|[0x80004308]<br>0x00000004|- rs1_val==1717986918 and imm_val==5<br>                                                                                                                                                               |[0x80000b80]:andi a1, a0, 5<br> [0x80000b84]:sw a1, 684(sp)<br>       |
| 192|[0x8000430c]<br>0x00000222|- rs1_val==1717986918 and imm_val==819<br>                                                                                                                                                             |[0x80000b90]:andi a1, a0, 819<br> [0x80000b94]:sw a1, 688(sp)<br>     |
| 193|[0x80004310]<br>0x00000666|- rs1_val==1717986918 and imm_val==1638<br>                                                                                                                                                            |[0x80000ba0]:andi a1, a0, 1638<br> [0x80000ba4]:sw a1, 692(sp)<br>    |
| 194|[0x80004314]<br>0x66666642|- rs1_val==1717986918 and imm_val==-45<br>                                                                                                                                                             |[0x80000bb0]:andi a1, a0, 4051<br> [0x80000bb4]:sw a1, 696(sp)<br>    |
| 195|[0x80004318]<br>0x00000024|- rs1_val==1717986918 and imm_val==45<br>                                                                                                                                                              |[0x80000bc0]:andi a1, a0, 45<br> [0x80000bc4]:sw a1, 700(sp)<br>      |
| 196|[0x8000431c]<br>0x00000002|- rs1_val==1717986918 and imm_val==2<br>                                                                                                                                                               |[0x80000bd0]:andi a1, a0, 2<br> [0x80000bd4]:sw a1, 704(sp)<br>       |
| 197|[0x80004320]<br>0x00000444|- rs1_val==1717986918 and imm_val==1364<br>                                                                                                                                                            |[0x80000be0]:andi a1, a0, 1364<br> [0x80000be4]:sw a1, 708(sp)<br>    |
| 198|[0x80004324]<br>0x00000000|- rs1_val==1717986918 and imm_val==0<br>                                                                                                                                                               |[0x80000bf0]:andi a1, a0, 0<br> [0x80000bf4]:sw a1, 712(sp)<br>       |
| 199|[0x80004328]<br>0x00000004|- rs1_val==1717986918 and imm_val==4<br>                                                                                                                                                               |[0x80000c00]:andi a1, a0, 4<br> [0x80000c04]:sw a1, 716(sp)<br>       |
| 200|[0x8000432c]<br>0x00000222|- rs1_val==1717986918 and imm_val==818<br>                                                                                                                                                             |[0x80000c10]:andi a1, a0, 818<br> [0x80000c14]:sw a1, 720(sp)<br>     |
| 201|[0x80004330]<br>0x00000664|- rs1_val==1717986918 and imm_val==1637<br>                                                                                                                                                            |[0x80000c20]:andi a1, a0, 1637<br> [0x80000c24]:sw a1, 724(sp)<br>    |
| 202|[0x80004334]<br>0x00000024|- rs1_val==1717986918 and imm_val==44<br>                                                                                                                                                              |[0x80000c30]:andi a1, a0, 44<br> [0x80000c34]:sw a1, 728(sp)<br>      |
| 203|[0x80004338]<br>0x00000446|- rs1_val==1717986918 and imm_val==1366<br>                                                                                                                                                            |[0x80000c40]:andi a1, a0, 1366<br> [0x80000c44]:sw a1, 732(sp)<br>    |
| 204|[0x8000433c]<br>0x66666222|- rs1_val==1717986918 and imm_val==-1365<br>                                                                                                                                                           |[0x80000c50]:andi a1, a0, 2731<br> [0x80000c54]:sw a1, 736(sp)<br>    |
| 205|[0x80004340]<br>0x00000006|- rs1_val==1717986918 and imm_val==6<br>                                                                                                                                                               |[0x80000c60]:andi a1, a0, 6<br> [0x80000c64]:sw a1, 740(sp)<br>       |
| 206|[0x80004344]<br>0x00000224|- rs1_val==1717986918 and imm_val==820<br>                                                                                                                                                             |[0x80000c70]:andi a1, a0, 820<br> [0x80000c74]:sw a1, 744(sp)<br>     |
| 207|[0x80004348]<br>0x00000666|- rs1_val==1717986918 and imm_val==1639<br>                                                                                                                                                            |[0x80000c80]:andi a1, a0, 1639<br> [0x80000c84]:sw a1, 748(sp)<br>    |
| 208|[0x8000434c]<br>0x66666644|- rs1_val==1717986918 and imm_val==-44<br>                                                                                                                                                             |[0x80000c90]:andi a1, a0, 4052<br> [0x80000c94]:sw a1, 752(sp)<br>    |
| 209|[0x80004350]<br>0x00000026|- rs1_val==1717986918 and imm_val==46<br>                                                                                                                                                              |[0x80000ca0]:andi a1, a0, 46<br> [0x80000ca4]:sw a1, 756(sp)<br>      |
| 210|[0x80004354]<br>0x00000000|- rs1_val==-46340 and imm_val==3<br>                                                                                                                                                                   |[0x80000cb0]:andi a1, a0, 3<br> [0x80000cb4]:sw a1, 760(sp)<br>       |
| 211|[0x80004358]<br>0x00000054|- rs1_val==-46340 and imm_val==1365<br>                                                                                                                                                                |[0x80000cc0]:andi a1, a0, 1365<br> [0x80000cc4]:sw a1, 764(sp)<br>    |
| 212|[0x8000435c]<br>0xFFFF4AA8|- rs1_val==-46340 and imm_val==-1366<br>                                                                                                                                                               |[0x80000cd0]:andi a1, a0, 2730<br> [0x80000cd4]:sw a1, 768(sp)<br>    |
| 213|[0x80004360]<br>0x00000004|- rs1_val==-46340 and imm_val==5<br>                                                                                                                                                                   |[0x80000ce0]:andi a1, a0, 5<br> [0x80000ce4]:sw a1, 772(sp)<br>       |
| 214|[0x80004364]<br>0x00000230|- rs1_val==-46340 and imm_val==819<br>                                                                                                                                                                 |[0x80000cf0]:andi a1, a0, 819<br> [0x80000cf4]:sw a1, 776(sp)<br>     |
| 215|[0x80004368]<br>0x00000264|- rs1_val==-46340 and imm_val==1638<br>                                                                                                                                                                |[0x80000d00]:andi a1, a0, 1638<br> [0x80000d04]:sw a1, 780(sp)<br>    |
| 216|[0x8000436c]<br>0xFFFF4AD0|- rs1_val==-46340 and imm_val==-45<br>                                                                                                                                                                 |[0x80000d10]:andi a1, a0, 4051<br> [0x80000d14]:sw a1, 784(sp)<br>    |
| 217|[0x80004370]<br>0x0000002C|- rs1_val==-46340 and imm_val==45<br>                                                                                                                                                                  |[0x80000d20]:andi a1, a0, 45<br> [0x80000d24]:sw a1, 788(sp)<br>      |
| 218|[0x80004374]<br>0x00000000|- rs1_val==-46340 and imm_val==2<br>                                                                                                                                                                   |[0x80000d30]:andi a1, a0, 2<br> [0x80000d34]:sw a1, 792(sp)<br>       |
| 219|[0x80004378]<br>0x00000054|- rs1_val==-46340 and imm_val==1364<br>                                                                                                                                                                |[0x80000d40]:andi a1, a0, 1364<br> [0x80000d44]:sw a1, 796(sp)<br>    |
| 220|[0x8000437c]<br>0x00000000|- rs1_val==-46340 and imm_val==0<br>                                                                                                                                                                   |[0x80000d50]:andi a1, a0, 0<br> [0x80000d54]:sw a1, 800(sp)<br>       |
| 221|[0x80004380]<br>0x00000004|- rs1_val==-46340 and imm_val==4<br>                                                                                                                                                                   |[0x80000d60]:andi a1, a0, 4<br> [0x80000d64]:sw a1, 804(sp)<br>       |
| 222|[0x80004384]<br>0x00000230|- rs1_val==-46340 and imm_val==818<br>                                                                                                                                                                 |[0x80000d70]:andi a1, a0, 818<br> [0x80000d74]:sw a1, 808(sp)<br>     |
| 223|[0x80004388]<br>0x00000264|- rs1_val==-46340 and imm_val==1637<br>                                                                                                                                                                |[0x80000d80]:andi a1, a0, 1637<br> [0x80000d84]:sw a1, 812(sp)<br>    |
| 224|[0x8000438c]<br>0x0000002C|- rs1_val==-46340 and imm_val==44<br>                                                                                                                                                                  |[0x80000d90]:andi a1, a0, 44<br> [0x80000d94]:sw a1, 816(sp)<br>      |
| 225|[0x80004390]<br>0x00000054|- rs1_val==-46340 and imm_val==1366<br>                                                                                                                                                                |[0x80000da0]:andi a1, a0, 1366<br> [0x80000da4]:sw a1, 820(sp)<br>    |
| 226|[0x80004394]<br>0xFFFF4AA8|- rs1_val==-46340 and imm_val==-1365<br>                                                                                                                                                               |[0x80000db0]:andi a1, a0, 2731<br> [0x80000db4]:sw a1, 824(sp)<br>    |
| 227|[0x80004398]<br>0x00000004|- rs1_val==-46340 and imm_val==6<br>                                                                                                                                                                   |[0x80000dc0]:andi a1, a0, 6<br> [0x80000dc4]:sw a1, 828(sp)<br>       |
| 228|[0x8000439c]<br>0x00000234|- rs1_val==-46340 and imm_val==820<br>                                                                                                                                                                 |[0x80000dd0]:andi a1, a0, 820<br> [0x80000dd4]:sw a1, 832(sp)<br>     |
| 229|[0x800043a0]<br>0x00000264|- rs1_val==-46340 and imm_val==1639<br>                                                                                                                                                                |[0x80000de0]:andi a1, a0, 1639<br> [0x80000de4]:sw a1, 836(sp)<br>    |
| 230|[0x800043a4]<br>0xFFFF4AD4|- rs1_val==-46340 and imm_val==-44<br>                                                                                                                                                                 |[0x80000df0]:andi a1, a0, 4052<br> [0x80000df4]:sw a1, 840(sp)<br>    |
| 231|[0x800043a8]<br>0x0000002C|- rs1_val==-46340 and imm_val==46<br>                                                                                                                                                                  |[0x80000e00]:andi a1, a0, 46<br> [0x80000e04]:sw a1, 844(sp)<br>      |
| 232|[0x800043ac]<br>0x00000000|- rs1_val==46340 and imm_val==3<br>                                                                                                                                                                    |[0x80000e10]:andi a1, a0, 3<br> [0x80000e14]:sw a1, 848(sp)<br>       |
| 233|[0x800043b0]<br>0x00000504|- rs1_val==46340 and imm_val==1365<br>                                                                                                                                                                 |[0x80000e20]:andi a1, a0, 1365<br> [0x80000e24]:sw a1, 852(sp)<br>    |
| 234|[0x800043b4]<br>0x0000B000|- rs1_val==46340 and imm_val==-1366<br>                                                                                                                                                                |[0x80000e30]:andi a1, a0, 2730<br> [0x80000e34]:sw a1, 856(sp)<br>    |
| 235|[0x800043b8]<br>0x00000004|- rs1_val==46340 and imm_val==5<br>                                                                                                                                                                    |[0x80000e40]:andi a1, a0, 5<br> [0x80000e44]:sw a1, 860(sp)<br>       |
| 236|[0x800043bc]<br>0x00000100|- rs1_val==46340 and imm_val==819<br>                                                                                                                                                                  |[0x80000e50]:andi a1, a0, 819<br> [0x80000e54]:sw a1, 864(sp)<br>     |
| 237|[0x800043c0]<br>0x00000404|- rs1_val==46340 and imm_val==1638<br>                                                                                                                                                                 |[0x80000e60]:andi a1, a0, 1638<br> [0x80000e64]:sw a1, 868(sp)<br>    |
| 238|[0x800043c4]<br>0x0000B500|- rs1_val==46340 and imm_val==-45<br>                                                                                                                                                                  |[0x80000e70]:andi a1, a0, 4051<br> [0x80000e74]:sw a1, 872(sp)<br>    |
| 239|[0x800043c8]<br>0x00000004|- rs1_val==46340 and imm_val==45<br>                                                                                                                                                                   |[0x80000e80]:andi a1, a0, 45<br> [0x80000e84]:sw a1, 876(sp)<br>      |
| 240|[0x800043cc]<br>0x00000000|- rs1_val==46340 and imm_val==2<br>                                                                                                                                                                    |[0x80000e90]:andi a1, a0, 2<br> [0x80000e94]:sw a1, 880(sp)<br>       |
| 241|[0x800043d0]<br>0x00000504|- rs1_val==46340 and imm_val==1364<br>                                                                                                                                                                 |[0x80000ea0]:andi a1, a0, 1364<br> [0x80000ea4]:sw a1, 884(sp)<br>    |
| 242|[0x800043d4]<br>0x00000000|- rs1_val==46340 and imm_val==0<br>                                                                                                                                                                    |[0x80000eb0]:andi a1, a0, 0<br> [0x80000eb4]:sw a1, 888(sp)<br>       |
| 243|[0x800043d8]<br>0x00000004|- rs1_val==46340 and imm_val==4<br>                                                                                                                                                                    |[0x80000ec0]:andi a1, a0, 4<br> [0x80000ec4]:sw a1, 892(sp)<br>       |
| 244|[0x800043dc]<br>0x00000100|- rs1_val==46340 and imm_val==818<br>                                                                                                                                                                  |[0x80000ed0]:andi a1, a0, 818<br> [0x80000ed4]:sw a1, 896(sp)<br>     |
| 245|[0x800043e0]<br>0x00000404|- rs1_val==46340 and imm_val==1637<br>                                                                                                                                                                 |[0x80000ee0]:andi a1, a0, 1637<br> [0x80000ee4]:sw a1, 900(sp)<br>    |
| 246|[0x800043e4]<br>0x00000004|- rs1_val==46340 and imm_val==44<br>                                                                                                                                                                   |[0x80000ef0]:andi a1, a0, 44<br> [0x80000ef4]:sw a1, 904(sp)<br>      |
| 247|[0x800043e8]<br>0x00000504|- rs1_val==46340 and imm_val==1366<br>                                                                                                                                                                 |[0x80000f00]:andi a1, a0, 1366<br> [0x80000f04]:sw a1, 908(sp)<br>    |
| 248|[0x800043ec]<br>0x0000B000|- rs1_val==46340 and imm_val==-1365<br>                                                                                                                                                                |[0x80000f10]:andi a1, a0, 2731<br> [0x80000f14]:sw a1, 912(sp)<br>    |
| 249|[0x800043f0]<br>0x00000004|- rs1_val==46340 and imm_val==6<br>                                                                                                                                                                    |[0x80000f20]:andi a1, a0, 6<br> [0x80000f24]:sw a1, 916(sp)<br>       |
| 250|[0x800043f4]<br>0x00000104|- rs1_val==46340 and imm_val==820<br>                                                                                                                                                                  |[0x80000f30]:andi a1, a0, 820<br> [0x80000f34]:sw a1, 920(sp)<br>     |
| 251|[0x800043f8]<br>0x00000404|- rs1_val==46340 and imm_val==1639<br>                                                                                                                                                                 |[0x80000f40]:andi a1, a0, 1639<br> [0x80000f44]:sw a1, 924(sp)<br>    |
| 252|[0x800043fc]<br>0x0000B504|- rs1_val==46340 and imm_val==-44<br>                                                                                                                                                                  |[0x80000f50]:andi a1, a0, 4052<br> [0x80000f54]:sw a1, 928(sp)<br>    |
| 253|[0x80004400]<br>0x00000004|- rs1_val==46340 and imm_val==46<br>                                                                                                                                                                   |[0x80000f60]:andi a1, a0, 46<br> [0x80000f64]:sw a1, 932(sp)<br>      |
| 254|[0x80004404]<br>0x00000002|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                        |[0x80000f6c]:andi a1, a0, 3<br> [0x80000f70]:sw a1, 936(sp)<br>       |
| 255|[0x80004408]<br>0x00000000|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                     |[0x80000f78]:andi a1, a0, 1365<br> [0x80000f7c]:sw a1, 940(sp)<br>    |
| 256|[0x8000440c]<br>0x00000002|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                    |[0x80000f84]:andi a1, a0, 2730<br> [0x80000f88]:sw a1, 944(sp)<br>    |
| 257|[0x80004410]<br>0x00000000|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                        |[0x80000f90]:andi a1, a0, 5<br> [0x80000f94]:sw a1, 948(sp)<br>       |
| 258|[0x80004414]<br>0x00000002|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                      |[0x80000f9c]:andi a1, a0, 819<br> [0x80000fa0]:sw a1, 952(sp)<br>     |
| 259|[0x80004418]<br>0x00000002|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                     |[0x80000fa8]:andi a1, a0, 1638<br> [0x80000fac]:sw a1, 956(sp)<br>    |
| 260|[0x8000441c]<br>0x00000002|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                      |[0x80000fb4]:andi a1, a0, 4051<br> [0x80000fb8]:sw a1, 960(sp)<br>    |
| 261|[0x80004420]<br>0x00000000|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                       |[0x80000fc0]:andi a1, a0, 45<br> [0x80000fc4]:sw a1, 964(sp)<br>      |
| 262|[0x80004424]<br>0x00000002|- rs1_val==2 and imm_val==2<br>                                                                                                                                                                        |[0x80000fcc]:andi a1, a0, 2<br> [0x80000fd0]:sw a1, 968(sp)<br>       |
| 263|[0x80004428]<br>0x00000000|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                     |[0x80000fd8]:andi a1, a0, 1364<br> [0x80000fdc]:sw a1, 972(sp)<br>    |
| 264|[0x8000442c]<br>0x00000000|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                        |[0x80000fe4]:andi a1, a0, 0<br> [0x80000fe8]:sw a1, 976(sp)<br>       |
| 265|[0x80004430]<br>0x00000000|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                        |[0x80000ff0]:andi a1, a0, 4<br> [0x80000ff4]:sw a1, 980(sp)<br>       |
| 266|[0x80004434]<br>0x00000002|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                      |[0x80000ffc]:andi a1, a0, 818<br> [0x80001000]:sw a1, 984(sp)<br>     |
| 267|[0x80004438]<br>0x00000000|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                     |[0x80001008]:andi a1, a0, 1637<br> [0x8000100c]:sw a1, 988(sp)<br>    |
| 268|[0x8000443c]<br>0x00000000|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                       |[0x80001014]:andi a1, a0, 44<br> [0x80001018]:sw a1, 992(sp)<br>      |
| 269|[0x80004440]<br>0x00000002|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                     |[0x80001020]:andi a1, a0, 1366<br> [0x80001024]:sw a1, 996(sp)<br>    |
| 270|[0x80004444]<br>0x00000002|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                                    |[0x8000102c]:andi a1, a0, 2731<br> [0x80001030]:sw a1, 1000(sp)<br>   |
| 271|[0x80004448]<br>0x00000002|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                        |[0x80001038]:andi a1, a0, 6<br> [0x8000103c]:sw a1, 1004(sp)<br>      |
| 272|[0x8000444c]<br>0x00000000|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                      |[0x80001044]:andi a1, a0, 820<br> [0x80001048]:sw a1, 1008(sp)<br>    |
| 273|[0x80004450]<br>0x00000002|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                     |[0x80001050]:andi a1, a0, 1639<br> [0x80001054]:sw a1, 1012(sp)<br>   |
| 274|[0x80004454]<br>0x00000000|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                      |[0x8000105c]:andi a1, a0, 4052<br> [0x80001060]:sw a1, 1016(sp)<br>   |
| 275|[0x80004458]<br>0x00000002|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                       |[0x80001068]:andi a1, a0, 46<br> [0x8000106c]:sw a1, 1020(sp)<br>     |
| 276|[0x8000445c]<br>0x00000000|- rs1_val==1431655764 and imm_val==3<br>                                                                                                                                                               |[0x80001078]:andi a1, a0, 3<br> [0x8000107c]:sw a1, 1024(sp)<br>      |
| 277|[0x80004460]<br>0x00000554|- rs1_val==1431655764 and imm_val==1365<br>                                                                                                                                                            |[0x80001088]:andi a1, a0, 1365<br> [0x8000108c]:sw a1, 1028(sp)<br>   |
| 278|[0x80004464]<br>0x55555000|- rs1_val==1431655764 and imm_val==-1366<br>                                                                                                                                                           |[0x80001098]:andi a1, a0, 2730<br> [0x8000109c]:sw a1, 1032(sp)<br>   |
| 279|[0x80004468]<br>0x00000004|- rs1_val==1431655764 and imm_val==5<br>                                                                                                                                                               |[0x800010a8]:andi a1, a0, 5<br> [0x800010ac]:sw a1, 1036(sp)<br>      |
| 280|[0x8000446c]<br>0x00000110|- rs1_val==1431655764 and imm_val==819<br>                                                                                                                                                             |[0x800010b8]:andi a1, a0, 819<br> [0x800010bc]:sw a1, 1040(sp)<br>    |
| 281|[0x80004470]<br>0x00000444|- rs1_val==1431655764 and imm_val==1638<br>                                                                                                                                                            |[0x800010c8]:andi a1, a0, 1638<br> [0x800010cc]:sw a1, 1044(sp)<br>   |
| 282|[0x80004474]<br>0x55555550|- rs1_val==1431655764 and imm_val==-45<br>                                                                                                                                                             |[0x800010d8]:andi a1, a0, 4051<br> [0x800010dc]:sw a1, 1048(sp)<br>   |
| 283|[0x80004478]<br>0x00000004|- rs1_val==1431655764 and imm_val==45<br>                                                                                                                                                              |[0x800010e8]:andi a1, a0, 45<br> [0x800010ec]:sw a1, 1052(sp)<br>     |
| 284|[0x8000447c]<br>0x00000000|- rs1_val==1431655764 and imm_val==2<br>                                                                                                                                                               |[0x800010f8]:andi a1, a0, 2<br> [0x800010fc]:sw a1, 1056(sp)<br>      |
| 285|[0x80004480]<br>0x00000554|- rs1_val==1431655764 and imm_val==1364<br>                                                                                                                                                            |[0x80001108]:andi a1, a0, 1364<br> [0x8000110c]:sw a1, 1060(sp)<br>   |
| 286|[0x80004484]<br>0x00000000|- rs1_val==1431655764 and imm_val==0<br>                                                                                                                                                               |[0x80001118]:andi a1, a0, 0<br> [0x8000111c]:sw a1, 1064(sp)<br>      |
| 287|[0x80004488]<br>0x00000004|- rs1_val==1431655764 and imm_val==4<br>                                                                                                                                                               |[0x80001128]:andi a1, a0, 4<br> [0x8000112c]:sw a1, 1068(sp)<br>      |
| 288|[0x8000448c]<br>0x00000110|- rs1_val==1431655764 and imm_val==818<br>                                                                                                                                                             |[0x80001138]:andi a1, a0, 818<br> [0x8000113c]:sw a1, 1072(sp)<br>    |
| 289|[0x80004490]<br>0x00000444|- rs1_val==1431655764 and imm_val==1637<br>                                                                                                                                                            |[0x80001148]:andi a1, a0, 1637<br> [0x8000114c]:sw a1, 1076(sp)<br>   |
| 290|[0x80004494]<br>0x00000004|- rs1_val==1431655764 and imm_val==44<br>                                                                                                                                                              |[0x80001158]:andi a1, a0, 44<br> [0x8000115c]:sw a1, 1080(sp)<br>     |
| 291|[0x80004498]<br>0x00000554|- rs1_val==1431655764 and imm_val==1366<br>                                                                                                                                                            |[0x80001168]:andi a1, a0, 1366<br> [0x8000116c]:sw a1, 1084(sp)<br>   |
| 292|[0x8000449c]<br>0x55555000|- rs1_val==1431655764 and imm_val==-1365<br>                                                                                                                                                           |[0x80001178]:andi a1, a0, 2731<br> [0x8000117c]:sw a1, 1088(sp)<br>   |
| 293|[0x800044a0]<br>0x00000004|- rs1_val==1431655764 and imm_val==6<br>                                                                                                                                                               |[0x80001188]:andi a1, a0, 6<br> [0x8000118c]:sw a1, 1092(sp)<br>      |
| 294|[0x800044a4]<br>0x00000114|- rs1_val==1431655764 and imm_val==820<br>                                                                                                                                                             |[0x80001198]:andi a1, a0, 820<br> [0x8000119c]:sw a1, 1096(sp)<br>    |
| 295|[0x800044a8]<br>0x00000444|- rs1_val==1431655764 and imm_val==1639<br>                                                                                                                                                            |[0x800011a8]:andi a1, a0, 1639<br> [0x800011ac]:sw a1, 1100(sp)<br>   |
| 296|[0x800044ac]<br>0x55555554|- rs1_val==1431655764 and imm_val==-44<br>                                                                                                                                                             |[0x800011b8]:andi a1, a0, 4052<br> [0x800011bc]:sw a1, 1104(sp)<br>   |
| 297|[0x800044b0]<br>0x00000004|- rs1_val==1431655764 and imm_val==46<br>                                                                                                                                                              |[0x800011c8]:andi a1, a0, 46<br> [0x800011cc]:sw a1, 1108(sp)<br>     |
| 298|[0x800044b4]<br>0x00000000|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                        |[0x800011d4]:andi a1, a0, 3<br> [0x800011d8]:sw a1, 1112(sp)<br>      |
| 299|[0x800044b8]<br>0x00000000|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                                     |[0x800011e0]:andi a1, a0, 1365<br> [0x800011e4]:sw a1, 1116(sp)<br>   |
| 300|[0x800044bc]<br>0x00000000|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                    |[0x800011ec]:andi a1, a0, 2730<br> [0x800011f0]:sw a1, 1120(sp)<br>   |
| 301|[0x800044c0]<br>0x00000000|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                        |[0x800011f8]:andi a1, a0, 5<br> [0x800011fc]:sw a1, 1124(sp)<br>      |
| 302|[0x800044c4]<br>0x00000000|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                      |[0x80001204]:andi a1, a0, 819<br> [0x80001208]:sw a1, 1128(sp)<br>    |
| 303|[0x800044c8]<br>0x00000000|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                     |[0x80001210]:andi a1, a0, 1638<br> [0x80001214]:sw a1, 1132(sp)<br>   |
| 304|[0x800044cc]<br>0x00000000|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                      |[0x8000121c]:andi a1, a0, 4051<br> [0x80001220]:sw a1, 1136(sp)<br>   |
| 305|[0x800044d0]<br>0x00000000|- rs1_val==0 and imm_val==45<br>                                                                                                                                                                       |[0x80001228]:andi a1, a0, 45<br> [0x8000122c]:sw a1, 1140(sp)<br>     |
| 306|[0x800044d4]<br>0x00000330|- rs1_val==858993460 and imm_val==818<br>                                                                                                                                                              |[0x80001238]:andi a1, a0, 818<br> [0x8000123c]:sw a1, 1144(sp)<br>    |
| 307|[0x800044d8]<br>0x00000224|- rs1_val==858993460 and imm_val==1637<br>                                                                                                                                                             |[0x80001248]:andi a1, a0, 1637<br> [0x8000124c]:sw a1, 1148(sp)<br>   |
| 308|[0x800044dc]<br>0x00000024|- rs1_val==858993460 and imm_val==44<br>                                                                                                                                                               |[0x80001258]:andi a1, a0, 44<br> [0x8000125c]:sw a1, 1152(sp)<br>     |
| 309|[0x800044e0]<br>0x00000114|- rs1_val==858993460 and imm_val==1366<br>                                                                                                                                                             |[0x80001268]:andi a1, a0, 1366<br> [0x8000126c]:sw a1, 1156(sp)<br>   |
| 310|[0x800044e4]<br>0x33333220|- rs1_val==858993460 and imm_val==-1365<br>                                                                                                                                                            |[0x80001278]:andi a1, a0, 2731<br> [0x8000127c]:sw a1, 1160(sp)<br>   |
| 311|[0x800044e8]<br>0x00000004|- rs1_val==858993460 and imm_val==6<br>                                                                                                                                                                |[0x80001288]:andi a1, a0, 6<br> [0x8000128c]:sw a1, 1164(sp)<br>      |
| 312|[0x800044ec]<br>0x00000334|- rs1_val==858993460 and imm_val==820<br>                                                                                                                                                              |[0x80001298]:andi a1, a0, 820<br> [0x8000129c]:sw a1, 1168(sp)<br>    |
| 313|[0x800044f0]<br>0x00000224|- rs1_val==858993460 and imm_val==1639<br>                                                                                                                                                             |[0x800012a8]:andi a1, a0, 1639<br> [0x800012ac]:sw a1, 1172(sp)<br>   |
| 314|[0x800044f4]<br>0x33333314|- rs1_val==858993460 and imm_val==-44<br>                                                                                                                                                              |[0x800012b8]:andi a1, a0, 4052<br> [0x800012bc]:sw a1, 1176(sp)<br>   |
| 315|[0x800044f8]<br>0x00000024|- rs1_val==858993460 and imm_val==46<br>                                                                                                                                                               |[0x800012c8]:andi a1, a0, 46<br> [0x800012cc]:sw a1, 1180(sp)<br>     |
| 316|[0x800044fc]<br>0x00000003|- rs1_val==1717986919 and imm_val==3<br>                                                                                                                                                               |[0x800012d8]:andi a1, a0, 3<br> [0x800012dc]:sw a1, 1184(sp)<br>      |
| 317|[0x80004500]<br>0x00000445|- rs1_val==1717986919 and imm_val==1365<br>                                                                                                                                                            |[0x800012e8]:andi a1, a0, 1365<br> [0x800012ec]:sw a1, 1188(sp)<br>   |
| 318|[0x80004504]<br>0x66666222|- rs1_val==1717986919 and imm_val==-1366<br>                                                                                                                                                           |[0x800012f8]:andi a1, a0, 2730<br> [0x800012fc]:sw a1, 1192(sp)<br>   |
| 319|[0x80004508]<br>0x00000005|- rs1_val==1717986919 and imm_val==5<br>                                                                                                                                                               |[0x80001308]:andi a1, a0, 5<br> [0x8000130c]:sw a1, 1196(sp)<br>      |
| 320|[0x8000450c]<br>0x00000223|- rs1_val==1717986919 and imm_val==819<br>                                                                                                                                                             |[0x80001318]:andi a1, a0, 819<br> [0x8000131c]:sw a1, 1200(sp)<br>    |
| 321|[0x80004510]<br>0x00000666|- rs1_val==1717986919 and imm_val==1638<br>                                                                                                                                                            |[0x80001328]:andi a1, a0, 1638<br> [0x8000132c]:sw a1, 1204(sp)<br>   |
| 322|[0x80004514]<br>0x66666643|- rs1_val==1717986919 and imm_val==-45<br>                                                                                                                                                             |[0x80001338]:andi a1, a0, 4051<br> [0x8000133c]:sw a1, 1208(sp)<br>   |
| 323|[0x80004518]<br>0x00000025|- rs1_val==1717986919 and imm_val==45<br>                                                                                                                                                              |[0x80001348]:andi a1, a0, 45<br> [0x8000134c]:sw a1, 1212(sp)<br>     |
| 324|[0x8000451c]<br>0x00000002|- rs1_val==1717986919 and imm_val==2<br>                                                                                                                                                               |[0x80001358]:andi a1, a0, 2<br> [0x8000135c]:sw a1, 1216(sp)<br>      |
| 325|[0x80004520]<br>0x00000444|- rs1_val==1717986919 and imm_val==1364<br>                                                                                                                                                            |[0x80001368]:andi a1, a0, 1364<br> [0x8000136c]:sw a1, 1220(sp)<br>   |
| 326|[0x80004524]<br>0x00000000|- rs1_val==1717986919 and imm_val==0<br>                                                                                                                                                               |[0x80001378]:andi a1, a0, 0<br> [0x8000137c]:sw a1, 1224(sp)<br>      |
| 327|[0x80004528]<br>0x00000004|- rs1_val==1717986919 and imm_val==4<br>                                                                                                                                                               |[0x80001388]:andi a1, a0, 4<br> [0x8000138c]:sw a1, 1228(sp)<br>      |
| 328|[0x8000452c]<br>0x00000222|- rs1_val==1717986919 and imm_val==818<br>                                                                                                                                                             |[0x80001398]:andi a1, a0, 818<br> [0x8000139c]:sw a1, 1232(sp)<br>    |
| 329|[0x80004530]<br>0x00000665|- rs1_val==1717986919 and imm_val==1637<br>                                                                                                                                                            |[0x800013a8]:andi a1, a0, 1637<br> [0x800013ac]:sw a1, 1236(sp)<br>   |
| 330|[0x80004534]<br>0x00000024|- rs1_val==1717986919 and imm_val==44<br>                                                                                                                                                              |[0x800013b8]:andi a1, a0, 44<br> [0x800013bc]:sw a1, 1240(sp)<br>     |
| 331|[0x80004538]<br>0x00000446|- rs1_val==1717986919 and imm_val==1366<br>                                                                                                                                                            |[0x800013c8]:andi a1, a0, 1366<br> [0x800013cc]:sw a1, 1244(sp)<br>   |
| 332|[0x8000453c]<br>0x66666223|- rs1_val==1717986919 and imm_val==-1365<br>                                                                                                                                                           |[0x800013d8]:andi a1, a0, 2731<br> [0x800013dc]:sw a1, 1248(sp)<br>   |
| 333|[0x80004540]<br>0x00000006|- rs1_val==1717986919 and imm_val==6<br>                                                                                                                                                               |[0x800013e8]:andi a1, a0, 6<br> [0x800013ec]:sw a1, 1252(sp)<br>      |
| 334|[0x80004544]<br>0x00000224|- rs1_val==1717986919 and imm_val==820<br>                                                                                                                                                             |[0x800013f8]:andi a1, a0, 820<br> [0x800013fc]:sw a1, 1256(sp)<br>    |
| 335|[0x80004548]<br>0x00000667|- rs1_val==1717986919 and imm_val==1639<br>                                                                                                                                                            |[0x80001408]:andi a1, a0, 1639<br> [0x8000140c]:sw a1, 1260(sp)<br>   |
| 336|[0x8000454c]<br>0x66666644|- rs1_val==1717986919 and imm_val==-44<br>                                                                                                                                                             |[0x80001418]:andi a1, a0, 4052<br> [0x8000141c]:sw a1, 1264(sp)<br>   |
| 337|[0x80004550]<br>0x00000026|- rs1_val==1717986919 and imm_val==46<br>                                                                                                                                                              |[0x80001428]:andi a1, a0, 46<br> [0x8000142c]:sw a1, 1268(sp)<br>     |
| 338|[0x80004554]<br>0x00000001|- rs1_val==-46339 and imm_val==3<br>                                                                                                                                                                   |[0x80001438]:andi a1, a0, 3<br> [0x8000143c]:sw a1, 1272(sp)<br>      |
| 339|[0x80004558]<br>0x00000055|- rs1_val==-46339 and imm_val==1365<br>                                                                                                                                                                |[0x80001448]:andi a1, a0, 1365<br> [0x8000144c]:sw a1, 1276(sp)<br>   |
| 340|[0x8000455c]<br>0xFFFF4AA8|- rs1_val==-46339 and imm_val==-1366<br>                                                                                                                                                               |[0x80001458]:andi a1, a0, 2730<br> [0x8000145c]:sw a1, 1280(sp)<br>   |
| 341|[0x80004560]<br>0x00000005|- rs1_val==-46339 and imm_val==5<br>                                                                                                                                                                   |[0x80001468]:andi a1, a0, 5<br> [0x8000146c]:sw a1, 1284(sp)<br>      |
| 342|[0x80004564]<br>0x00000231|- rs1_val==-46339 and imm_val==819<br>                                                                                                                                                                 |[0x80001478]:andi a1, a0, 819<br> [0x8000147c]:sw a1, 1288(sp)<br>    |
| 343|[0x80004568]<br>0x00000264|- rs1_val==-46339 and imm_val==1638<br>                                                                                                                                                                |[0x80001488]:andi a1, a0, 1638<br> [0x8000148c]:sw a1, 1292(sp)<br>   |
| 344|[0x8000456c]<br>0xFFFF4AD1|- rs1_val==-46339 and imm_val==-45<br>                                                                                                                                                                 |[0x80001498]:andi a1, a0, 4051<br> [0x8000149c]:sw a1, 1296(sp)<br>   |
| 345|[0x80004570]<br>0x0000002D|- rs1_val==-46339 and imm_val==45<br>                                                                                                                                                                  |[0x800014a8]:andi a1, a0, 45<br> [0x800014ac]:sw a1, 1300(sp)<br>     |
| 346|[0x80004574]<br>0x00000000|- rs1_val==-46339 and imm_val==2<br>                                                                                                                                                                   |[0x800014b8]:andi a1, a0, 2<br> [0x800014bc]:sw a1, 1304(sp)<br>      |
| 347|[0x80004578]<br>0x00000054|- rs1_val==-46339 and imm_val==1364<br>                                                                                                                                                                |[0x800014c8]:andi a1, a0, 1364<br> [0x800014cc]:sw a1, 1308(sp)<br>   |
| 348|[0x8000457c]<br>0x00000000|- rs1_val==-46339 and imm_val==0<br>                                                                                                                                                                   |[0x800014d8]:andi a1, a0, 0<br> [0x800014dc]:sw a1, 1312(sp)<br>      |
| 349|[0x80004580]<br>0x00000004|- rs1_val==-46339 and imm_val==4<br>                                                                                                                                                                   |[0x800014e8]:andi a1, a0, 4<br> [0x800014ec]:sw a1, 1316(sp)<br>      |
| 350|[0x80004584]<br>0x00000230|- rs1_val==-46339 and imm_val==818<br>                                                                                                                                                                 |[0x800014f8]:andi a1, a0, 818<br> [0x800014fc]:sw a1, 1320(sp)<br>    |
| 351|[0x80004588]<br>0x00000265|- rs1_val==-46339 and imm_val==1637<br>                                                                                                                                                                |[0x80001508]:andi a1, a0, 1637<br> [0x8000150c]:sw a1, 1324(sp)<br>   |
| 352|[0x8000458c]<br>0x0000002C|- rs1_val==-46339 and imm_val==44<br>                                                                                                                                                                  |[0x80001518]:andi a1, a0, 44<br> [0x8000151c]:sw a1, 1328(sp)<br>     |
| 353|[0x80004590]<br>0x00000054|- rs1_val==-46339 and imm_val==1366<br>                                                                                                                                                                |[0x80001528]:andi a1, a0, 1366<br> [0x8000152c]:sw a1, 1332(sp)<br>   |
| 354|[0x80004594]<br>0xFFFF4AA9|- rs1_val==-46339 and imm_val==-1365<br>                                                                                                                                                               |[0x80001538]:andi a1, a0, 2731<br> [0x8000153c]:sw a1, 1336(sp)<br>   |
| 355|[0x80004598]<br>0x00000004|- rs1_val==-46339 and imm_val==6<br>                                                                                                                                                                   |[0x80001548]:andi a1, a0, 6<br> [0x8000154c]:sw a1, 1340(sp)<br>      |
| 356|[0x8000459c]<br>0x00000234|- rs1_val==-46339 and imm_val==820<br>                                                                                                                                                                 |[0x80001558]:andi a1, a0, 820<br> [0x8000155c]:sw a1, 1344(sp)<br>    |
| 357|[0x800045a0]<br>0x00000265|- rs1_val==-46339 and imm_val==1639<br>                                                                                                                                                                |[0x80001568]:andi a1, a0, 1639<br> [0x8000156c]:sw a1, 1348(sp)<br>   |
| 358|[0x800045a4]<br>0xFFFF4AD4|- rs1_val==-46339 and imm_val==-44<br>                                                                                                                                                                 |[0x80001578]:andi a1, a0, 4052<br> [0x8000157c]:sw a1, 1352(sp)<br>   |
| 359|[0x800045a8]<br>0x0000002C|- rs1_val==-46339 and imm_val==46<br>                                                                                                                                                                  |[0x80001588]:andi a1, a0, 46<br> [0x8000158c]:sw a1, 1356(sp)<br>     |
| 360|[0x800045ac]<br>0x00000001|- rs1_val==46341 and imm_val==3<br>                                                                                                                                                                    |[0x80001598]:andi a1, a0, 3<br> [0x8000159c]:sw a1, 1360(sp)<br>      |
| 361|[0x800045b0]<br>0x00000505|- rs1_val==46341 and imm_val==1365<br>                                                                                                                                                                 |[0x800015a8]:andi a1, a0, 1365<br> [0x800015ac]:sw a1, 1364(sp)<br>   |
| 362|[0x800045b4]<br>0x0000B000|- rs1_val==46341 and imm_val==-1366<br>                                                                                                                                                                |[0x800015b8]:andi a1, a0, 2730<br> [0x800015bc]:sw a1, 1368(sp)<br>   |
| 363|[0x800045b8]<br>0x00000005|- rs1_val==46341 and imm_val==5<br>                                                                                                                                                                    |[0x800015c8]:andi a1, a0, 5<br> [0x800015cc]:sw a1, 1372(sp)<br>      |
| 364|[0x800045bc]<br>0x00000101|- rs1_val==46341 and imm_val==819<br>                                                                                                                                                                  |[0x800015d8]:andi a1, a0, 819<br> [0x800015dc]:sw a1, 1376(sp)<br>    |
| 365|[0x800045c0]<br>0x00000404|- rs1_val==46341 and imm_val==1638<br>                                                                                                                                                                 |[0x800015e8]:andi a1, a0, 1638<br> [0x800015ec]:sw a1, 1380(sp)<br>   |
| 366|[0x800045c4]<br>0x0000B501|- rs1_val==46341 and imm_val==-45<br>                                                                                                                                                                  |[0x800015f8]:andi a1, a0, 4051<br> [0x800015fc]:sw a1, 1384(sp)<br>   |
| 367|[0x800045c8]<br>0x00000005|- rs1_val==46341 and imm_val==45<br>                                                                                                                                                                   |[0x80001608]:andi a1, a0, 45<br> [0x8000160c]:sw a1, 1388(sp)<br>     |
| 368|[0x800045cc]<br>0x00000000|- rs1_val==46341 and imm_val==2<br>                                                                                                                                                                    |[0x80001618]:andi a1, a0, 2<br> [0x8000161c]:sw a1, 1392(sp)<br>      |
| 369|[0x800045d0]<br>0x00000504|- rs1_val==46341 and imm_val==1364<br>                                                                                                                                                                 |[0x80001628]:andi a1, a0, 1364<br> [0x8000162c]:sw a1, 1396(sp)<br>   |
| 370|[0x800045d4]<br>0x00000000|- rs1_val==46341 and imm_val==0<br>                                                                                                                                                                    |[0x80001638]:andi a1, a0, 0<br> [0x8000163c]:sw a1, 1400(sp)<br>      |
| 371|[0x800045d8]<br>0x00000004|- rs1_val==46341 and imm_val==4<br>                                                                                                                                                                    |[0x80001648]:andi a1, a0, 4<br> [0x8000164c]:sw a1, 1404(sp)<br>      |
| 372|[0x800045dc]<br>0x00000100|- rs1_val==46341 and imm_val==818<br>                                                                                                                                                                  |[0x80001658]:andi a1, a0, 818<br> [0x8000165c]:sw a1, 1408(sp)<br>    |
| 373|[0x800045e0]<br>0x00000405|- rs1_val==46341 and imm_val==1637<br>                                                                                                                                                                 |[0x80001668]:andi a1, a0, 1637<br> [0x8000166c]:sw a1, 1412(sp)<br>   |
| 374|[0x800045e4]<br>0x00000004|- rs1_val==46341 and imm_val==44<br>                                                                                                                                                                   |[0x80001678]:andi a1, a0, 44<br> [0x8000167c]:sw a1, 1416(sp)<br>     |
| 375|[0x800045e8]<br>0x00000504|- rs1_val==46341 and imm_val==1366<br>                                                                                                                                                                 |[0x80001688]:andi a1, a0, 1366<br> [0x8000168c]:sw a1, 1420(sp)<br>   |
| 376|[0x800045ec]<br>0x0000B001|- rs1_val==46341 and imm_val==-1365<br>                                                                                                                                                                |[0x80001698]:andi a1, a0, 2731<br> [0x8000169c]:sw a1, 1424(sp)<br>   |
| 377|[0x800045f0]<br>0x00000004|- rs1_val==46341 and imm_val==6<br>                                                                                                                                                                    |[0x800016a8]:andi a1, a0, 6<br> [0x800016ac]:sw a1, 1428(sp)<br>      |
| 378|[0x800045f4]<br>0x00000104|- rs1_val==46341 and imm_val==820<br>                                                                                                                                                                  |[0x800016b8]:andi a1, a0, 820<br> [0x800016bc]:sw a1, 1432(sp)<br>    |
| 379|[0x800045f8]<br>0x00000405|- rs1_val==46341 and imm_val==1639<br>                                                                                                                                                                 |[0x800016c8]:andi a1, a0, 1639<br> [0x800016cc]:sw a1, 1436(sp)<br>   |
| 380|[0x800045fc]<br>0x0000B504|- rs1_val==46341 and imm_val==-44<br>                                                                                                                                                                  |[0x800016d8]:andi a1, a0, 4052<br> [0x800016dc]:sw a1, 1440(sp)<br>   |
| 381|[0x80004600]<br>0x00000004|- rs1_val==46341 and imm_val==46<br>                                                                                                                                                                   |[0x800016e8]:andi a1, a0, 46<br> [0x800016ec]:sw a1, 1444(sp)<br>     |
| 382|[0x80004608]<br>0x00000000|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                     |[0x80001700]:andi a1, a0, 1364<br> [0x80001704]:sw a1, 1452(sp)<br>   |
| 383|[0x8000460c]<br>0x00000000|- rs1_val==0 and imm_val==0<br>                                                                                                                                                                        |[0x8000170c]:andi a1, a0, 0<br> [0x80001710]:sw a1, 1456(sp)<br>      |
| 384|[0x80004610]<br>0x00000000|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                        |[0x80001718]:andi a1, a0, 4<br> [0x8000171c]:sw a1, 1460(sp)<br>      |
| 385|[0x80004614]<br>0x00000000|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                      |[0x80001724]:andi a1, a0, 818<br> [0x80001728]:sw a1, 1464(sp)<br>    |
| 386|[0x80004618]<br>0x00000000|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                     |[0x80001730]:andi a1, a0, 1637<br> [0x80001734]:sw a1, 1468(sp)<br>   |
| 387|[0x8000461c]<br>0x00000000|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                       |[0x8000173c]:andi a1, a0, 44<br> [0x80001740]:sw a1, 1472(sp)<br>     |
| 388|[0x80004620]<br>0x00000000|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                     |[0x80001748]:andi a1, a0, 1366<br> [0x8000174c]:sw a1, 1476(sp)<br>   |
| 389|[0x80004624]<br>0x00000000|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                    |[0x80001754]:andi a1, a0, 2731<br> [0x80001758]:sw a1, 1480(sp)<br>   |
| 390|[0x80004628]<br>0x00000000|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                        |[0x80001760]:andi a1, a0, 6<br> [0x80001764]:sw a1, 1484(sp)<br>      |
| 391|[0x8000462c]<br>0x00000000|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                      |[0x8000176c]:andi a1, a0, 820<br> [0x80001770]:sw a1, 1488(sp)<br>    |
| 392|[0x80004630]<br>0x00000000|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                     |[0x80001778]:andi a1, a0, 1639<br> [0x8000177c]:sw a1, 1492(sp)<br>   |
| 393|[0x80004634]<br>0x00000000|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                      |[0x80001784]:andi a1, a0, 4052<br> [0x80001788]:sw a1, 1496(sp)<br>   |
| 394|[0x80004638]<br>0x00000000|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                       |[0x80001790]:andi a1, a0, 46<br> [0x80001794]:sw a1, 1500(sp)<br>     |
| 395|[0x8000463c]<br>0x00000000|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                        |[0x8000179c]:andi a1, a0, 3<br> [0x800017a0]:sw a1, 1504(sp)<br>      |
| 396|[0x80004640]<br>0x00000004|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                     |[0x800017a8]:andi a1, a0, 1365<br> [0x800017ac]:sw a1, 1508(sp)<br>   |
| 397|[0x80004644]<br>0x00000000|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                    |[0x800017b4]:andi a1, a0, 2730<br> [0x800017b8]:sw a1, 1512(sp)<br>   |
| 398|[0x80004648]<br>0x00000004|- rs1_val==4 and imm_val==5<br>                                                                                                                                                                        |[0x800017c0]:andi a1, a0, 5<br> [0x800017c4]:sw a1, 1516(sp)<br>      |
| 399|[0x8000464c]<br>0x00000000|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                      |[0x800017cc]:andi a1, a0, 819<br> [0x800017d0]:sw a1, 1520(sp)<br>    |
| 400|[0x80004650]<br>0x00000004|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                     |[0x800017d8]:andi a1, a0, 1638<br> [0x800017dc]:sw a1, 1524(sp)<br>   |
| 401|[0x80004654]<br>0x00000000|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                      |[0x800017e4]:andi a1, a0, 4051<br> [0x800017e8]:sw a1, 1528(sp)<br>   |
| 402|[0x80004658]<br>0x00000004|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                       |[0x800017f0]:andi a1, a0, 45<br> [0x800017f4]:sw a1, 1532(sp)<br>     |
| 403|[0x8000465c]<br>0x00000000|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                        |[0x800017fc]:andi a1, a0, 2<br> [0x80001800]:sw a1, 1536(sp)<br>      |
| 404|[0x80004660]<br>0x00000004|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                     |[0x80001808]:andi a1, a0, 1364<br> [0x8000180c]:sw a1, 1540(sp)<br>   |
| 405|[0x80004664]<br>0x00000000|- rs1_val==4 and imm_val==0<br>                                                                                                                                                                        |[0x80001814]:andi a1, a0, 0<br> [0x80001818]:sw a1, 1544(sp)<br>      |
| 406|[0x80004668]<br>0x00000004|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                        |[0x80001820]:andi a1, a0, 4<br> [0x80001824]:sw a1, 1548(sp)<br>      |
| 407|[0x8000466c]<br>0x00000000|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                      |[0x8000182c]:andi a1, a0, 818<br> [0x80001830]:sw a1, 1552(sp)<br>    |
| 408|[0x80004670]<br>0x00000004|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                     |[0x80001838]:andi a1, a0, 1637<br> [0x8000183c]:sw a1, 1556(sp)<br>   |
| 409|[0x80004674]<br>0x00000004|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                       |[0x80001844]:andi a1, a0, 44<br> [0x80001848]:sw a1, 1560(sp)<br>     |
| 410|[0x80004678]<br>0x00000004|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                     |[0x80001850]:andi a1, a0, 1366<br> [0x80001854]:sw a1, 1564(sp)<br>   |
| 411|[0x8000467c]<br>0x00000000|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                    |[0x8000185c]:andi a1, a0, 2731<br> [0x80001860]:sw a1, 1568(sp)<br>   |
| 412|[0x80004680]<br>0x00000004|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                        |[0x80001868]:andi a1, a0, 6<br> [0x8000186c]:sw a1, 1572(sp)<br>      |
| 413|[0x80004684]<br>0x00000004|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                      |[0x80001874]:andi a1, a0, 820<br> [0x80001878]:sw a1, 1576(sp)<br>    |
| 414|[0x80004688]<br>0x00000004|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                      |[0x80001880]:andi a1, a0, 4052<br> [0x80001884]:sw a1, 1580(sp)<br>   |
| 415|[0x8000468c]<br>0x00000004|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                       |[0x8000188c]:andi a1, a0, 46<br> [0x80001890]:sw a1, 1584(sp)<br>     |
| 416|[0x80004690]<br>0x00000002|- rs1_val==858993458 and imm_val==3<br>                                                                                                                                                                |[0x8000189c]:andi a1, a0, 3<br> [0x800018a0]:sw a1, 1588(sp)<br>      |
| 417|[0x80004694]<br>0x00000110|- rs1_val==858993458 and imm_val==1365<br>                                                                                                                                                             |[0x800018ac]:andi a1, a0, 1365<br> [0x800018b0]:sw a1, 1592(sp)<br>   |
| 418|[0x80004698]<br>0x33333222|- rs1_val==858993458 and imm_val==-1366<br>                                                                                                                                                            |[0x800018bc]:andi a1, a0, 2730<br> [0x800018c0]:sw a1, 1596(sp)<br>   |
| 419|[0x8000469c]<br>0x00000000|- rs1_val==858993458 and imm_val==5<br>                                                                                                                                                                |[0x800018cc]:andi a1, a0, 5<br> [0x800018d0]:sw a1, 1600(sp)<br>      |
| 420|[0x800046a0]<br>0x00000332|- rs1_val==858993458 and imm_val==819<br>                                                                                                                                                              |[0x800018dc]:andi a1, a0, 819<br> [0x800018e0]:sw a1, 1604(sp)<br>    |
| 421|[0x800046a4]<br>0x00000222|- rs1_val==858993458 and imm_val==1638<br>                                                                                                                                                             |[0x800018ec]:andi a1, a0, 1638<br> [0x800018f0]:sw a1, 1608(sp)<br>   |
| 422|[0x800046a8]<br>0x33333312|- rs1_val==858993458 and imm_val==-45<br>                                                                                                                                                              |[0x800018fc]:andi a1, a0, 4051<br> [0x80001900]:sw a1, 1612(sp)<br>   |
| 423|[0x800046ac]<br>0x00000020|- rs1_val==858993458 and imm_val==45<br>                                                                                                                                                               |[0x8000190c]:andi a1, a0, 45<br> [0x80001910]:sw a1, 1616(sp)<br>     |
| 424|[0x800046b0]<br>0x00000002|- rs1_val==858993458 and imm_val==2<br>                                                                                                                                                                |[0x8000191c]:andi a1, a0, 2<br> [0x80001920]:sw a1, 1620(sp)<br>      |
| 425|[0x800046b4]<br>0x00000110|- rs1_val==858993458 and imm_val==1364<br>                                                                                                                                                             |[0x8000192c]:andi a1, a0, 1364<br> [0x80001930]:sw a1, 1624(sp)<br>   |
| 426|[0x800046b8]<br>0x00000000|- rs1_val==858993458 and imm_val==0<br>                                                                                                                                                                |[0x8000193c]:andi a1, a0, 0<br> [0x80001940]:sw a1, 1628(sp)<br>      |
| 427|[0x800046bc]<br>0x00000000|- rs1_val==858993458 and imm_val==4<br>                                                                                                                                                                |[0x8000194c]:andi a1, a0, 4<br> [0x80001950]:sw a1, 1632(sp)<br>      |
| 428|[0x800046c0]<br>0x00000332|- rs1_val==858993458 and imm_val==818<br>                                                                                                                                                              |[0x8000195c]:andi a1, a0, 818<br> [0x80001960]:sw a1, 1636(sp)<br>    |
| 429|[0x800046c4]<br>0x00000220|- rs1_val==858993458 and imm_val==1637<br>                                                                                                                                                             |[0x8000196c]:andi a1, a0, 1637<br> [0x80001970]:sw a1, 1640(sp)<br>   |
| 430|[0x800046c8]<br>0x00000020|- rs1_val==858993458 and imm_val==44<br>                                                                                                                                                               |[0x8000197c]:andi a1, a0, 44<br> [0x80001980]:sw a1, 1644(sp)<br>     |
| 431|[0x800046cc]<br>0x00000112|- rs1_val==858993458 and imm_val==1366<br>                                                                                                                                                             |[0x8000198c]:andi a1, a0, 1366<br> [0x80001990]:sw a1, 1648(sp)<br>   |
| 432|[0x800046d0]<br>0x33333222|- rs1_val==858993458 and imm_val==-1365<br>                                                                                                                                                            |[0x8000199c]:andi a1, a0, 2731<br> [0x800019a0]:sw a1, 1652(sp)<br>   |
| 433|[0x800046d4]<br>0x00000002|- rs1_val==858993458 and imm_val==6<br>                                                                                                                                                                |[0x800019ac]:andi a1, a0, 6<br> [0x800019b0]:sw a1, 1656(sp)<br>      |
| 434|[0x800046d8]<br>0x00000330|- rs1_val==858993458 and imm_val==820<br>                                                                                                                                                              |[0x800019bc]:andi a1, a0, 820<br> [0x800019c0]:sw a1, 1660(sp)<br>    |
| 435|[0x800046dc]<br>0x00000222|- rs1_val==858993458 and imm_val==1639<br>                                                                                                                                                             |[0x800019cc]:andi a1, a0, 1639<br> [0x800019d0]:sw a1, 1664(sp)<br>   |
| 436|[0x800046e0]<br>0x33333310|- rs1_val==858993458 and imm_val==-44<br>                                                                                                                                                              |[0x800019dc]:andi a1, a0, 4052<br> [0x800019e0]:sw a1, 1668(sp)<br>   |
| 437|[0x800046e4]<br>0x00000022|- rs1_val==858993458 and imm_val==46<br>                                                                                                                                                               |[0x800019ec]:andi a1, a0, 46<br> [0x800019f0]:sw a1, 1672(sp)<br>     |
| 438|[0x800046e8]<br>0x00000001|- rs1_val==1717986917 and imm_val==3<br>                                                                                                                                                               |[0x800019fc]:andi a1, a0, 3<br> [0x80001a00]:sw a1, 1676(sp)<br>      |
| 439|[0x800046ec]<br>0x00000445|- rs1_val==1717986917 and imm_val==1365<br>                                                                                                                                                            |[0x80001a0c]:andi a1, a0, 1365<br> [0x80001a10]:sw a1, 1680(sp)<br>   |
| 440|[0x800046f0]<br>0x66666220|- rs1_val==1717986917 and imm_val==-1366<br>                                                                                                                                                           |[0x80001a1c]:andi a1, a0, 2730<br> [0x80001a20]:sw a1, 1684(sp)<br>   |
| 441|[0x800046f4]<br>0x00000005|- rs1_val==1717986917 and imm_val==5<br>                                                                                                                                                               |[0x80001a2c]:andi a1, a0, 5<br> [0x80001a30]:sw a1, 1688(sp)<br>      |
| 442|[0x800046f8]<br>0x00000221|- rs1_val==1717986917 and imm_val==819<br>                                                                                                                                                             |[0x80001a3c]:andi a1, a0, 819<br> [0x80001a40]:sw a1, 1692(sp)<br>    |
| 443|[0x800046fc]<br>0x00000664|- rs1_val==1717986917 and imm_val==1638<br>                                                                                                                                                            |[0x80001a4c]:andi a1, a0, 1638<br> [0x80001a50]:sw a1, 1696(sp)<br>   |
| 444|[0x80004700]<br>0x66666641|- rs1_val==1717986917 and imm_val==-45<br>                                                                                                                                                             |[0x80001a5c]:andi a1, a0, 4051<br> [0x80001a60]:sw a1, 1700(sp)<br>   |
| 445|[0x80004704]<br>0x00000025|- rs1_val==1717986917 and imm_val==45<br>                                                                                                                                                              |[0x80001a6c]:andi a1, a0, 45<br> [0x80001a70]:sw a1, 1704(sp)<br>     |
| 446|[0x80004708]<br>0x00000000|- rs1_val==1717986917 and imm_val==2<br>                                                                                                                                                               |[0x80001a7c]:andi a1, a0, 2<br> [0x80001a80]:sw a1, 1708(sp)<br>      |
| 447|[0x8000470c]<br>0x00000444|- rs1_val==1717986917 and imm_val==1364<br>                                                                                                                                                            |[0x80001a8c]:andi a1, a0, 1364<br> [0x80001a90]:sw a1, 1712(sp)<br>   |
| 448|[0x80004710]<br>0x00000000|- rs1_val==1717986917 and imm_val==0<br>                                                                                                                                                               |[0x80001a9c]:andi a1, a0, 0<br> [0x80001aa0]:sw a1, 1716(sp)<br>      |
| 449|[0x80004714]<br>0x00000004|- rs1_val==1717986917 and imm_val==4<br>                                                                                                                                                               |[0x80001aac]:andi a1, a0, 4<br> [0x80001ab0]:sw a1, 1720(sp)<br>      |
| 450|[0x80004718]<br>0x00000220|- rs1_val==1717986917 and imm_val==818<br>                                                                                                                                                             |[0x80001abc]:andi a1, a0, 818<br> [0x80001ac0]:sw a1, 1724(sp)<br>    |
| 451|[0x8000471c]<br>0x00000665|- rs1_val==1717986917 and imm_val==1637<br>                                                                                                                                                            |[0x80001acc]:andi a1, a0, 1637<br> [0x80001ad0]:sw a1, 1728(sp)<br>   |
| 452|[0x80004720]<br>0x00000024|- rs1_val==1717986917 and imm_val==44<br>                                                                                                                                                              |[0x80001adc]:andi a1, a0, 44<br> [0x80001ae0]:sw a1, 1732(sp)<br>     |
| 453|[0x80004724]<br>0x00000444|- rs1_val==1717986917 and imm_val==1366<br>                                                                                                                                                            |[0x80001aec]:andi a1, a0, 1366<br> [0x80001af0]:sw a1, 1736(sp)<br>   |
| 454|[0x80004728]<br>0x66666221|- rs1_val==1717986917 and imm_val==-1365<br>                                                                                                                                                           |[0x80001afc]:andi a1, a0, 2731<br> [0x80001b00]:sw a1, 1740(sp)<br>   |
| 455|[0x8000472c]<br>0x00000004|- rs1_val==1717986917 and imm_val==6<br>                                                                                                                                                               |[0x80001b0c]:andi a1, a0, 6<br> [0x80001b10]:sw a1, 1744(sp)<br>      |
| 456|[0x80004730]<br>0x00000224|- rs1_val==1717986917 and imm_val==820<br>                                                                                                                                                             |[0x80001b1c]:andi a1, a0, 820<br> [0x80001b20]:sw a1, 1748(sp)<br>    |
| 457|[0x80004734]<br>0x00000665|- rs1_val==1717986917 and imm_val==1639<br>                                                                                                                                                            |[0x80001b2c]:andi a1, a0, 1639<br> [0x80001b30]:sw a1, 1752(sp)<br>   |
| 458|[0x80004738]<br>0x66666644|- rs1_val==1717986917 and imm_val==-44<br>                                                                                                                                                             |[0x80001b3c]:andi a1, a0, 4052<br> [0x80001b40]:sw a1, 1756(sp)<br>   |
| 459|[0x8000473c]<br>0x00000024|- rs1_val==1717986917 and imm_val==46<br>                                                                                                                                                              |[0x80001b4c]:andi a1, a0, 46<br> [0x80001b50]:sw a1, 1760(sp)<br>     |
| 460|[0x80004740]<br>0x00000003|- rs1_val==46339 and imm_val==3<br>                                                                                                                                                                    |[0x80001b5c]:andi a1, a0, 3<br> [0x80001b60]:sw a1, 1764(sp)<br>      |
| 461|[0x80004744]<br>0x00000501|- rs1_val==46339 and imm_val==1365<br>                                                                                                                                                                 |[0x80001b6c]:andi a1, a0, 1365<br> [0x80001b70]:sw a1, 1768(sp)<br>   |
| 462|[0x80004748]<br>0x0000B002|- rs1_val==46339 and imm_val==-1366<br>                                                                                                                                                                |[0x80001b7c]:andi a1, a0, 2730<br> [0x80001b80]:sw a1, 1772(sp)<br>   |
| 463|[0x8000474c]<br>0x00000001|- rs1_val==46339 and imm_val==5<br>                                                                                                                                                                    |[0x80001b8c]:andi a1, a0, 5<br> [0x80001b90]:sw a1, 1776(sp)<br>      |
| 464|[0x80004750]<br>0x00000103|- rs1_val==46339 and imm_val==819<br>                                                                                                                                                                  |[0x80001b9c]:andi a1, a0, 819<br> [0x80001ba0]:sw a1, 1780(sp)<br>    |
| 465|[0x80004754]<br>0x00000402|- rs1_val==46339 and imm_val==1638<br>                                                                                                                                                                 |[0x80001bac]:andi a1, a0, 1638<br> [0x80001bb0]:sw a1, 1784(sp)<br>   |
| 466|[0x80004758]<br>0x0000B503|- rs1_val==46339 and imm_val==-45<br>                                                                                                                                                                  |[0x80001bbc]:andi a1, a0, 4051<br> [0x80001bc0]:sw a1, 1788(sp)<br>   |
| 467|[0x8000475c]<br>0x00000001|- rs1_val==46339 and imm_val==45<br>                                                                                                                                                                   |[0x80001bcc]:andi a1, a0, 45<br> [0x80001bd0]:sw a1, 1792(sp)<br>     |
| 468|[0x80004760]<br>0x00000002|- rs1_val==46339 and imm_val==2<br>                                                                                                                                                                    |[0x80001bdc]:andi a1, a0, 2<br> [0x80001be0]:sw a1, 1796(sp)<br>      |
| 469|[0x80004764]<br>0x00000500|- rs1_val==46339 and imm_val==1364<br>                                                                                                                                                                 |[0x80001bec]:andi a1, a0, 1364<br> [0x80001bf0]:sw a1, 1800(sp)<br>   |
| 470|[0x80004768]<br>0x00000000|- rs1_val==46339 and imm_val==0<br>                                                                                                                                                                    |[0x80001bfc]:andi a1, a0, 0<br> [0x80001c00]:sw a1, 1804(sp)<br>      |
| 471|[0x8000476c]<br>0x00000000|- rs1_val==46339 and imm_val==4<br>                                                                                                                                                                    |[0x80001c0c]:andi a1, a0, 4<br> [0x80001c10]:sw a1, 1808(sp)<br>      |
| 472|[0x80004770]<br>0x00000102|- rs1_val==46339 and imm_val==818<br>                                                                                                                                                                  |[0x80001c1c]:andi a1, a0, 818<br> [0x80001c20]:sw a1, 1812(sp)<br>    |
| 473|[0x80004774]<br>0x00000401|- rs1_val==46339 and imm_val==1637<br>                                                                                                                                                                 |[0x80001c2c]:andi a1, a0, 1637<br> [0x80001c30]:sw a1, 1816(sp)<br>   |
| 474|[0x80004778]<br>0x00000000|- rs1_val==46339 and imm_val==44<br>                                                                                                                                                                   |[0x80001c3c]:andi a1, a0, 44<br> [0x80001c40]:sw a1, 1820(sp)<br>     |
| 475|[0x8000477c]<br>0x00000502|- rs1_val==46339 and imm_val==1366<br>                                                                                                                                                                 |[0x80001c4c]:andi a1, a0, 1366<br> [0x80001c50]:sw a1, 1824(sp)<br>   |
| 476|[0x80004780]<br>0x0000B003|- rs1_val==46339 and imm_val==-1365<br>                                                                                                                                                                |[0x80001c5c]:andi a1, a0, 2731<br> [0x80001c60]:sw a1, 1828(sp)<br>   |
| 477|[0x80004784]<br>0x00000002|- rs1_val==46339 and imm_val==6<br>                                                                                                                                                                    |[0x80001c6c]:andi a1, a0, 6<br> [0x80001c70]:sw a1, 1832(sp)<br>      |
| 478|[0x80004788]<br>0x00000100|- rs1_val==46339 and imm_val==820<br>                                                                                                                                                                  |[0x80001c7c]:andi a1, a0, 820<br> [0x80001c80]:sw a1, 1836(sp)<br>    |
| 479|[0x8000478c]<br>0x00000403|- rs1_val==46339 and imm_val==1639<br>                                                                                                                                                                 |[0x80001c8c]:andi a1, a0, 1639<br> [0x80001c90]:sw a1, 1840(sp)<br>   |
| 480|[0x80004790]<br>0x0000B500|- rs1_val==46339 and imm_val==-44<br>                                                                                                                                                                  |[0x80001c9c]:andi a1, a0, 4052<br> [0x80001ca0]:sw a1, 1844(sp)<br>   |
| 481|[0x80004794]<br>0x00000002|- rs1_val==46339 and imm_val==46<br>                                                                                                                                                                   |[0x80001cac]:andi a1, a0, 46<br> [0x80001cb0]:sw a1, 1848(sp)<br>     |
| 482|[0x80004798]<br>0x00000002|- rs1_val==1431655766 and imm_val==3<br>                                                                                                                                                               |[0x80001cbc]:andi a1, a0, 3<br> [0x80001cc0]:sw a1, 1852(sp)<br>      |
| 483|[0x8000479c]<br>0x00000554|- rs1_val==1431655766 and imm_val==1365<br>                                                                                                                                                            |[0x80001ccc]:andi a1, a0, 1365<br> [0x80001cd0]:sw a1, 1856(sp)<br>   |
| 484|[0x800047a0]<br>0x55555002|- rs1_val==1431655766 and imm_val==-1366<br>                                                                                                                                                           |[0x80001cdc]:andi a1, a0, 2730<br> [0x80001ce0]:sw a1, 1860(sp)<br>   |
| 485|[0x800047a4]<br>0x00000004|- rs1_val==1431655766 and imm_val==5<br>                                                                                                                                                               |[0x80001cec]:andi a1, a0, 5<br> [0x80001cf0]:sw a1, 1864(sp)<br>      |
| 486|[0x800047a8]<br>0x00000112|- rs1_val==1431655766 and imm_val==819<br>                                                                                                                                                             |[0x80001cfc]:andi a1, a0, 819<br> [0x80001d00]:sw a1, 1868(sp)<br>    |
| 487|[0x800047ac]<br>0x00000446|- rs1_val==1431655766 and imm_val==1638<br>                                                                                                                                                            |[0x80001d0c]:andi a1, a0, 1638<br> [0x80001d10]:sw a1, 1872(sp)<br>   |
| 488|[0x800047b0]<br>0x55555552|- rs1_val==1431655766 and imm_val==-45<br>                                                                                                                                                             |[0x80001d1c]:andi a1, a0, 4051<br> [0x80001d20]:sw a1, 1876(sp)<br>   |
| 489|[0x800047b4]<br>0x00000004|- rs1_val==1431655766 and imm_val==45<br>                                                                                                                                                              |[0x80001d2c]:andi a1, a0, 45<br> [0x80001d30]:sw a1, 1880(sp)<br>     |
| 490|[0x800047b8]<br>0x00000002|- rs1_val==1431655766 and imm_val==2<br>                                                                                                                                                               |[0x80001d3c]:andi a1, a0, 2<br> [0x80001d40]:sw a1, 1884(sp)<br>      |
| 491|[0x800047bc]<br>0x00000554|- rs1_val==1431655766 and imm_val==1364<br>                                                                                                                                                            |[0x80001d4c]:andi a1, a0, 1364<br> [0x80001d50]:sw a1, 1888(sp)<br>   |
| 492|[0x800047c0]<br>0x00000000|- rs1_val==1431655766 and imm_val==0<br>                                                                                                                                                               |[0x80001d5c]:andi a1, a0, 0<br> [0x80001d60]:sw a1, 1892(sp)<br>      |
| 493|[0x800047c4]<br>0x00000004|- rs1_val==1431655766 and imm_val==4<br>                                                                                                                                                               |[0x80001d6c]:andi a1, a0, 4<br> [0x80001d70]:sw a1, 1896(sp)<br>      |
| 494|[0x800047c8]<br>0x00000112|- rs1_val==1431655766 and imm_val==818<br>                                                                                                                                                             |[0x80001d7c]:andi a1, a0, 818<br> [0x80001d80]:sw a1, 1900(sp)<br>    |
| 495|[0x800047cc]<br>0x00000444|- rs1_val==1431655766 and imm_val==1637<br>                                                                                                                                                            |[0x80001d8c]:andi a1, a0, 1637<br> [0x80001d90]:sw a1, 1904(sp)<br>   |
| 496|[0x800047d0]<br>0x00000004|- rs1_val==1431655766 and imm_val==44<br>                                                                                                                                                              |[0x80001d9c]:andi a1, a0, 44<br> [0x80001da0]:sw a1, 1908(sp)<br>     |
| 497|[0x800047d4]<br>0x00000556|- rs1_val==1431655766 and imm_val==1366<br>                                                                                                                                                            |[0x80001dac]:andi a1, a0, 1366<br> [0x80001db0]:sw a1, 1912(sp)<br>   |
| 498|[0x800047d8]<br>0x55555002|- rs1_val==1431655766 and imm_val==-1365<br>                                                                                                                                                           |[0x80001dbc]:andi a1, a0, 2731<br> [0x80001dc0]:sw a1, 1916(sp)<br>   |
| 499|[0x800047dc]<br>0x00000006|- rs1_val==1431655766 and imm_val==6<br>                                                                                                                                                               |[0x80001dcc]:andi a1, a0, 6<br> [0x80001dd0]:sw a1, 1920(sp)<br>      |
| 500|[0x800047e0]<br>0x00000114|- rs1_val==1431655766 and imm_val==820<br>                                                                                                                                                             |[0x80001ddc]:andi a1, a0, 820<br> [0x80001de0]:sw a1, 1924(sp)<br>    |
| 501|[0x800047e4]<br>0x00000446|- rs1_val==1431655766 and imm_val==1639<br>                                                                                                                                                            |[0x80001dec]:andi a1, a0, 1639<br> [0x80001df0]:sw a1, 1928(sp)<br>   |
| 502|[0x800047e8]<br>0x55555554|- rs1_val==1431655766 and imm_val==-44<br>                                                                                                                                                             |[0x80001dfc]:andi a1, a0, 4052<br> [0x80001e00]:sw a1, 1932(sp)<br>   |
| 503|[0x800047ec]<br>0x00000006|- rs1_val==1431655766 and imm_val==46<br>                                                                                                                                                              |[0x80001e0c]:andi a1, a0, 46<br> [0x80001e10]:sw a1, 1936(sp)<br>     |
| 504|[0x800047f0]<br>0x00000003|- rs1_val==-1431655765 and imm_val==3<br>                                                                                                                                                              |[0x80001e1c]:andi a1, a0, 3<br> [0x80001e20]:sw a1, 1940(sp)<br>      |
| 505|[0x800047f4]<br>0x00000001|- rs1_val==-1431655765 and imm_val==1365<br>                                                                                                                                                           |[0x80001e2c]:andi a1, a0, 1365<br> [0x80001e30]:sw a1, 1944(sp)<br>   |
| 506|[0x800047f8]<br>0xAAAAAAAA|- rs1_val==-1431655765 and imm_val==-1366<br>                                                                                                                                                          |[0x80001e3c]:andi a1, a0, 2730<br> [0x80001e40]:sw a1, 1948(sp)<br>   |
| 507|[0x800047fc]<br>0x00000001|- rs1_val==-1431655765 and imm_val==5<br>                                                                                                                                                              |[0x80001e4c]:andi a1, a0, 5<br> [0x80001e50]:sw a1, 1952(sp)<br>      |
| 508|[0x80004800]<br>0x00000223|- rs1_val==-1431655765 and imm_val==819<br>                                                                                                                                                            |[0x80001e5c]:andi a1, a0, 819<br> [0x80001e60]:sw a1, 1956(sp)<br>    |
| 509|[0x80004804]<br>0x00000222|- rs1_val==-1431655765 and imm_val==1638<br>                                                                                                                                                           |[0x80001e6c]:andi a1, a0, 1638<br> [0x80001e70]:sw a1, 1960(sp)<br>   |
| 510|[0x80004808]<br>0xAAAAAA83|- rs1_val==-1431655765 and imm_val==-45<br>                                                                                                                                                            |[0x80001e7c]:andi a1, a0, 4051<br> [0x80001e80]:sw a1, 1964(sp)<br>   |
| 511|[0x8000480c]<br>0x00000029|- rs1_val==-1431655765 and imm_val==45<br>                                                                                                                                                             |[0x80001e8c]:andi a1, a0, 45<br> [0x80001e90]:sw a1, 1968(sp)<br>     |
| 512|[0x80004810]<br>0x00000002|- rs1_val==-1431655765 and imm_val==2<br>                                                                                                                                                              |[0x80001e9c]:andi a1, a0, 2<br> [0x80001ea0]:sw a1, 1972(sp)<br>      |
| 513|[0x80004814]<br>0x00000000|- rs1_val==-1431655765 and imm_val==1364<br>                                                                                                                                                           |[0x80001eac]:andi a1, a0, 1364<br> [0x80001eb0]:sw a1, 1976(sp)<br>   |
| 514|[0x80004818]<br>0x00000000|- rs1_val==-1431655765 and imm_val==0<br>                                                                                                                                                              |[0x80001ebc]:andi a1, a0, 0<br> [0x80001ec0]:sw a1, 1980(sp)<br>      |
| 515|[0x8000481c]<br>0x00000000|- rs1_val==-1431655765 and imm_val==4<br>                                                                                                                                                              |[0x80001ecc]:andi a1, a0, 4<br> [0x80001ed0]:sw a1, 1984(sp)<br>      |
| 516|[0x80004820]<br>0x00000222|- rs1_val==-1431655765 and imm_val==818<br>                                                                                                                                                            |[0x80001edc]:andi a1, a0, 818<br> [0x80001ee0]:sw a1, 1988(sp)<br>    |
| 517|[0x80004824]<br>0x00000221|- rs1_val==-1431655765 and imm_val==1637<br>                                                                                                                                                           |[0x80001eec]:andi a1, a0, 1637<br> [0x80001ef0]:sw a1, 1992(sp)<br>   |
| 518|[0x80004828]<br>0x00000028|- rs1_val==-1431655765 and imm_val==44<br>                                                                                                                                                             |[0x80001efc]:andi a1, a0, 44<br> [0x80001f00]:sw a1, 1996(sp)<br>     |
| 519|[0x8000482c]<br>0x00000002|- rs1_val==-1431655765 and imm_val==1366<br>                                                                                                                                                           |[0x80001f0c]:andi a1, a0, 1366<br> [0x80001f10]:sw a1, 2000(sp)<br>   |
| 520|[0x80004830]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==-1365<br>                                                                                                                                                          |[0x80001f1c]:andi a1, a0, 2731<br> [0x80001f20]:sw a1, 2004(sp)<br>   |
| 521|[0x80004834]<br>0x00000002|- rs1_val==-1431655765 and imm_val==6<br>                                                                                                                                                              |[0x80001f2c]:andi a1, a0, 6<br> [0x80001f30]:sw a1, 2008(sp)<br>      |
| 522|[0x80004838]<br>0x00000220|- rs1_val==-1431655765 and imm_val==820<br>                                                                                                                                                            |[0x80001f3c]:andi a1, a0, 820<br> [0x80001f40]:sw a1, 2012(sp)<br>    |
| 523|[0x8000483c]<br>0x00000223|- rs1_val==-1431655765 and imm_val==1639<br>                                                                                                                                                           |[0x80001f4c]:andi a1, a0, 1639<br> [0x80001f50]:sw a1, 2016(sp)<br>   |
| 524|[0x80004840]<br>0xAAAAAA80|- rs1_val==-1431655765 and imm_val==-44<br>                                                                                                                                                            |[0x80001f5c]:andi a1, a0, 4052<br> [0x80001f60]:sw a1, 2020(sp)<br>   |
| 525|[0x80004844]<br>0x0000002A|- rs1_val==-1431655765 and imm_val==46<br>                                                                                                                                                             |[0x80001f6c]:andi a1, a0, 46<br> [0x80001f70]:sw a1, 2024(sp)<br>     |
| 526|[0x80004848]<br>0x00000002|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                        |[0x80001f78]:andi a1, a0, 3<br> [0x80001f7c]:sw a1, 2028(sp)<br>      |
| 527|[0x8000484c]<br>0x00000004|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                     |[0x80001f84]:andi a1, a0, 1365<br> [0x80001f88]:sw a1, 2032(sp)<br>   |
| 528|[0x80004850]<br>0x00000002|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                    |[0x80001f90]:andi a1, a0, 2730<br> [0x80001f94]:sw a1, 2036(sp)<br>   |
| 529|[0x80004854]<br>0x00000004|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                        |[0x80001f9c]:andi a1, a0, 5<br> [0x80001fa0]:sw a1, 2040(sp)<br>      |
| 530|[0x80004858]<br>0x00000002|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                      |[0x80001fa8]:andi a1, a0, 819<br> [0x80001fac]:sw a1, 2044(sp)<br>    |
| 531|[0x8000485c]<br>0x00000006|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                     |[0x80001fbc]:andi a1, a0, 1638<br> [0x80001fc0]:sw a1, 0(sp)<br>      |
| 532|[0x80004860]<br>0x00000002|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                      |[0x80001fc8]:andi a1, a0, 4051<br> [0x80001fcc]:sw a1, 4(sp)<br>      |
| 533|[0x80004864]<br>0x00000004|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                       |[0x80001fd4]:andi a1, a0, 45<br> [0x80001fd8]:sw a1, 8(sp)<br>        |
| 534|[0x80004868]<br>0x00000002|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                        |[0x80001fe0]:andi a1, a0, 2<br> [0x80001fe4]:sw a1, 12(sp)<br>        |
| 535|[0x8000486c]<br>0x00000004|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                     |[0x80001fec]:andi a1, a0, 1364<br> [0x80001ff0]:sw a1, 16(sp)<br>     |
| 536|[0x80004870]<br>0x00000000|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                        |[0x80001ff8]:andi a1, a0, 0<br> [0x80001ffc]:sw a1, 20(sp)<br>        |
| 537|[0x80004874]<br>0x00000004|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                        |[0x80002004]:andi a1, a0, 4<br> [0x80002008]:sw a1, 24(sp)<br>        |
| 538|[0x80004878]<br>0x00000002|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                      |[0x80002010]:andi a1, a0, 818<br> [0x80002014]:sw a1, 28(sp)<br>      |
| 539|[0x8000487c]<br>0x00000004|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                     |[0x8000201c]:andi a1, a0, 1637<br> [0x80002020]:sw a1, 32(sp)<br>     |
| 540|[0x80004880]<br>0x00000004|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                       |[0x80002028]:andi a1, a0, 44<br> [0x8000202c]:sw a1, 36(sp)<br>       |
| 541|[0x80004884]<br>0x00000006|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                     |[0x80002034]:andi a1, a0, 1366<br> [0x80002038]:sw a1, 40(sp)<br>     |
| 542|[0x80004888]<br>0x00000002|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                    |[0x80002040]:andi a1, a0, 2731<br> [0x80002044]:sw a1, 44(sp)<br>     |
| 543|[0x8000488c]<br>0x00000006|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                        |[0x8000204c]:andi a1, a0, 6<br> [0x80002050]:sw a1, 48(sp)<br>        |
| 544|[0x80004890]<br>0x00000004|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                      |[0x80002058]:andi a1, a0, 820<br> [0x8000205c]:sw a1, 52(sp)<br>      |
| 545|[0x80004894]<br>0x00000006|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                     |[0x80002064]:andi a1, a0, 1639<br> [0x80002068]:sw a1, 56(sp)<br>     |
| 546|[0x80004898]<br>0x00000004|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                      |[0x80002070]:andi a1, a0, 4052<br> [0x80002074]:sw a1, 60(sp)<br>     |
| 547|[0x8000489c]<br>0x00000006|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                       |[0x8000207c]:andi a1, a0, 46<br> [0x80002080]:sw a1, 64(sp)<br>       |
| 548|[0x800048a0]<br>0x00000000|- rs1_val==858993460 and imm_val==3<br>                                                                                                                                                                |[0x8000208c]:andi a1, a0, 3<br> [0x80002090]:sw a1, 68(sp)<br>        |
| 549|[0x800048a4]<br>0x00000114|- rs1_val==858993460 and imm_val==1365<br>                                                                                                                                                             |[0x8000209c]:andi a1, a0, 1365<br> [0x800020a0]:sw a1, 72(sp)<br>     |
| 550|[0x800048a8]<br>0x33333220|- rs1_val==858993460 and imm_val==-1366<br>                                                                                                                                                            |[0x800020ac]:andi a1, a0, 2730<br> [0x800020b0]:sw a1, 76(sp)<br>     |
| 551|[0x800048ac]<br>0x00000004|- rs1_val==858993460 and imm_val==5<br>                                                                                                                                                                |[0x800020bc]:andi a1, a0, 5<br> [0x800020c0]:sw a1, 80(sp)<br>        |
| 552|[0x800048b0]<br>0x00000330|- rs1_val==858993460 and imm_val==819<br>                                                                                                                                                              |[0x800020cc]:andi a1, a0, 819<br> [0x800020d0]:sw a1, 84(sp)<br>      |
| 553|[0x800048b4]<br>0x00000224|- rs1_val==858993460 and imm_val==1638<br>                                                                                                                                                             |[0x800020dc]:andi a1, a0, 1638<br> [0x800020e0]:sw a1, 88(sp)<br>     |
| 554|[0x800048b8]<br>0x33333310|- rs1_val==858993460 and imm_val==-45<br>                                                                                                                                                              |[0x800020ec]:andi a1, a0, 4051<br> [0x800020f0]:sw a1, 92(sp)<br>     |
| 555|[0x800048bc]<br>0x00000024|- rs1_val==858993460 and imm_val==45<br>                                                                                                                                                               |[0x800020fc]:andi a1, a0, 45<br> [0x80002100]:sw a1, 96(sp)<br>       |
| 556|[0x800048c0]<br>0x00000000|- rs1_val==858993460 and imm_val==2<br>                                                                                                                                                                |[0x8000210c]:andi a1, a0, 2<br> [0x80002110]:sw a1, 100(sp)<br>       |
| 557|[0x800048c4]<br>0x00000114|- rs1_val==858993460 and imm_val==1364<br>                                                                                                                                                             |[0x8000211c]:andi a1, a0, 1364<br> [0x80002120]:sw a1, 104(sp)<br>    |
| 558|[0x800048c8]<br>0x00000000|- rs1_val==858993460 and imm_val==0<br>                                                                                                                                                                |[0x8000212c]:andi a1, a0, 0<br> [0x80002130]:sw a1, 108(sp)<br>       |
| 559|[0x800048cc]<br>0x00000004|- rs1_val==858993460 and imm_val==4<br>                                                                                                                                                                |[0x8000213c]:andi a1, a0, 4<br> [0x80002140]:sw a1, 112(sp)<br>       |
| 560|[0x800048d0]<br>0x00000000|- rs1_val == 16777216<br>                                                                                                                                                                              |[0x80002148]:andi a1, a0, 2<br> [0x8000214c]:sw a1, 116(sp)<br>       |
